;;  Horn Clause Representation of Cubeo(Adr) Kinship Term-of-Address Rules

;;  The following 'header' gives some basic parameters of this kinship system:
(languageName, "Cubeo(Adr)") (author, "Nancy L. Morse") (date, "1985-01-01") (citation, "Nancy L. Morse in SOUTH AMERICAN KINSHIP pp. 79-91") 
(non_term, [aux], sibling, siblings, parents, children, brother, children, half_brother, half_sister, parents, sibling, siblings, sister, spice, step_brother, step_daughter, step_father, step_mother, step_sister, step_son) (partial, false) (polygamyOK, true) (address, true) (recursiveLevels, 1)
(synonyms, (pacu, bayu))
(overlaps, (ami_co, (juai_co, buchu)), (ami_yo, (juai_yo, buchu)), (buchu, (juai_co, juai_yo)), (chima, (parajicu)), (jicapenumu, (jicoyumu)), (jichimaco, (juai_co, parajico)), (jichimacu, (juai_yo, parajicu)), (jicoyumu, (jicapenumu)), (juai_co, (ami_co, buchu, jichimaco, parajico)), (juai_yo, (ami_yo, buchu, jichimacu, parajicu)), (paco, (parimo)), (pacu_yo, (pariyo)), (parajico, (jichimaco, juai_co)), (parajicu, (chima, jichimacu, juai_yo)), (parimo, (paco)), (pariyo, (pacu_yo)))
(umbrellas, (bucuru, (bucu, buco)), (juai_co, (parajico)), (juai_yo, (buchu, chima, parajicu)), (parimo, (pari_mo)), (pariyo, (pari_yo)))
(userDefinedProperties, 
	(*phratry, type, integer, single_value, true, restricted_to, (0, 1, 2, 3, 9)),
	(*sib_name, type, string, single_value, true, restricted_to, ("auwewa", "jejenawa", "bajucuwa", "pedicuwa", "wadariwa", "ijowedowa", "uchiwaiwa", "piarawa", "miadawa", "biowa", "corowa", "juruwa", "yuremawa", "yaniwa", "yocacubewu", "codeitarabuawu", "toruawu", "betowa")),
	(*sib_number, type, integer, single_value, true, restricted_to, (0, 11, 12, 13, 14, 15, 16, 17, 18, 21, 22, 23, 24, 31, 32, 33, 34, 35, 36, 90))
  )


;;  Kin Term Definitions:
;;	(Standard Macros are automatically incorporated.)

ami_co(Alter, Ego) :-  sister(Alter, Ego), elder(Alter, Ego).
                   |  [ext],  elder_para_gen[aux]10(Alter, Ego), female(Alter).
                   |  [ext],  female(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(generation[aux]10(Alter, Ego)).
                   |  [ext],  female(Alter), *sib_number(A, Ego), *sib_number(A, Alter), not(equal(Ego, Alter)), elder(Alter, Ego), not(generation[aux]10(Alter, Ego)).
{"**_FaBroDa_FaHbroDa_Hsis_MoHsisDa_MoSisDa_Sis_StfaBroDa_StmoSisDa"}
;; 0
%ami_co:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), elder(Alter, Ego).
;; 1
%ami_co:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego), female(Alter).
;; 2
%ami_co:1, elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), female(Alter).
;; 3
%ami_co:1, elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 4
%ami_co:1, elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 5
%ami_co:1, elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), female(Alter).
;; 6
%ami_co:1, elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 7
%ami_co:1, elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 8
%ami_co:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), female(Alter).
;; 9
%ami_co:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), female(Alter).
;; 10
%ami_co:1, elder_para_gen[aux]10:3, step_child[aux]10:0, spice:0, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StmoSisDa}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), female(Alter).
;; 11
%ami_co:1, elder_para_gen[aux]10:3, step_child[aux]10:0, spice:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StfaBroDa}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), female(Alter).
;; 12
%ami_co:2, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=0,  {**}  
[ext],  female(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 13
%ami_co:3, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  female(Alter), *sib_number(A, Ego), *sib_number(A, Alter), not(equal(Ego, Alter)), elder(Alter, Ego), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


ami_yo(Alter, Ego) :-  brother(Alter, Ego), elder(Alter, Ego).
                   |  [ext],  elder_para_gen[aux]10(Alter, Ego), male(Alter).
                   |  [ext],  male(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(generation[aux]10(Alter, Ego)).
                   |  [ext],  male(Alter), *sib_number(A, Ego), *sib_number(A, Alter), not(equal(Ego, Alter)), elder(Alter, Ego), not(generation[aux]10(Alter, Ego)).
{"**_Bro_FaBroSo_FaHbroSo_Hbro_MoHsisSo_MoSisSo_StfaBroSo_StmoSisSo"}
;; 0
%ami_yo:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 1
%ami_yo:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego), male(Alter).
;; 2
%ami_yo:1, elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), male(Alter).
;; 3
%ami_yo:1, elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 4
%ami_yo:1, elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 5
%ami_yo:1, elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), male(Alter).
;; 6
%ami_yo:1, elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 7
%ami_yo:1, elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 8
%ami_yo:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), male(Alter).
;; 9
%ami_yo:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), male(Alter).
;; 10
%ami_yo:1, elder_para_gen[aux]10:3, step_child[aux]10:0, spice:0, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StmoSisSo}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), male(Alter).
;; 11
%ami_yo:1, elder_para_gen[aux]10:3, step_child[aux]10:0, spice:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StfaBroSo}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), male(Alter).
;; 12
%ami_yo:2, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=0,  {**}  
[ext],  male(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 13
%ami_yo:3, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  male(Alter), *sib_number(A, Ego), *sib_number(A, Alter), not(equal(Ego, Alter)), elder(Alter, Ego), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


baco(Alter, Ego) :-  mother(Alter, Ego).
{"Mo"}
;; 0
%baco:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Mo}  
 mother(Alter, Ego).


bayu(Alter, Ego) :-  father(Alter, Ego).
;; 0
%bayu:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


brother(Alter, Ego) :-  sibling(Alter, Ego), male(Alter).
;; 0
%brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).


buchu(Alter, Ego) :-  siblings(Alter, Ego), younger(Alter, Ego).
                  |  [ext],  *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(B, C), not(generation[aux]10(Alter, Ego)).
                  |  [ext],  *sib_number(A, Ego), *sib_number(A, Alter), not(equal(Ego, Alter)), elder(Ego, Alter), not(generation[aux]10(Alter, Ego)).
{"**_Bro_Sis"}
;; 0
%buchu:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), younger(Alter, Ego).
;; 1
%buchu:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), younger(Alter, Ego).
;; 2
%buchu:1, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=4,  {**}  
[ext],  *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(B, C), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 3
%buchu:2, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  *sib_number(A, Ego), *sib_number(A, Alter), not(equal(Ego, Alter)), elder(Ego, Alter), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


buco(Alter, Ego) :-  daughter(Alter, Ego).
{"Da"}
;; 0
%buco:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 daughter(Alter, Ego).


bucu(Alter, Ego) :-  son(Alter, Ego).
{"So"}
;; 0
%bucu:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 son(Alter, Ego).


bucuru(Alter, Ego) :-  children(Alter, Ego).
{"Da_So"}
;; 0
%bucuru:0, children:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 son(Alter, Ego).
;; 1
%bucuru:0, children:1%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 daughter(Alter, Ego).


child_in_law[aux]10(Alter, Ego) :-  child(A, Ego), spouse(Alter, A).
                                |  [ext],  spice(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C).
                                |  [ext],  children(A, Ego), spouse(B, A), generation[aux]10(Alter, B).
                                |  [ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), children(C, B), child(C, A), spouse(D, C), generation[aux]10(Alter, D).
;; 0
%child_in_law[aux]10:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 child(A, Ego), spouse(Alter, A).
;; 1
%child_in_law[aux]10:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C).
;; 2
%child_in_law[aux]10:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C).
;; 3
%child_in_law[aux]10:2, children:0, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 4
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 5
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 6
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 7
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 8
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 9
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 10
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 11
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 12
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 13
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 14
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 15
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 16
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 17
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 18
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 19
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 20
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 21
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 22
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 23
%child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 24
%child_in_law[aux]10:2, children:1, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 25
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 26
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 27
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 28
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 29
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 30
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 31
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 32
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 33
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 34
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 35
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 36
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 37
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 38
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 39
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 40
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 41
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 42
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 43
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 44
%child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 45
%child_in_law[aux]10:3, children:0, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 46
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 47
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 48
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 49
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 50
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 51
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 52
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 53
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 54
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 55
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 56
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 57
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 58
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 59
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 60
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 61
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 62
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 63
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 64
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 65
%child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 66
%child_in_law[aux]10:3, children:1, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 67
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 68
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 69
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 70
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 71
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 72
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 73
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 74
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 75
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 76
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 77
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 78
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 79
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 80
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 81
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 82
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).
;; 83
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J).
;; 84
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J).
;; 85
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J).
;; 86
%child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J).


children(Alter, Ego) :-  son(Alter, Ego).
                     |   daughter(Alter, Ego).
;; 0
%children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).


chima(Alter, Ego) :-  male(Ego), cross_gen[aux]102(Alter, Ego), male(Alter).
                  |   male(Ego), cross_gen[aux]102(A, Ego), parents(A, Alter), male(Alter).
                  |   male(Ego), cross_gen[aux]102(A, Ego), parents(A, B), parents(B, Alter), male(Alter).
{"FaFaBroDaDaSo_FaFaBroDaSo_FaFaBroDaSoSo_FaFaFaBroSoDaDaSo_FaFaFaBroSoDaSo_FaFaFaBroSoDaSoSo_FaFaFaHbroSoDaDaDaSo_FaFaFaHbroSoDaDaSo_FaFaFaHbroSoDaDaSoSo_FaFaFaHbroSoDaSo_FaFaFaHbroSoDaSoDaSo_FaFaFaHbroSoDaSoSo_FaFaFaHbroSoDaSoSoSo_FaFaHbroDaDaDaSo_FaFaHbroDaDaSo_FaFaHbroDaDaSoSo_FaFaHbroDaSo_FaFaHbroDaSoDaSo_FaFaHbroDaSoSo_FaFaHbroDaSoSoSo_FaFaMoHsisSoDaDaDaSo_FaFaMoHsisSoDaDaSo_FaFaMoHsisSoDaDaSoSo_FaFaMoHsisSoDaSo_FaFaMoHsisSoDaSoDaSo_FaFaMoHsisSoDaSoSo_FaFaMoHsisSoDaSoSoSo_FaFaMoSisSoDaDaSo_FaFaMoSisSoDaSo_FaFaMoSisSoDaSoSo_FaFaSisDaDaDaSo_FaFaSisDaDaSo_FaFaSisDaDaSoSo_FaFaSisDaSo_FaFaSisDaSoDaSo_FaFaSisDaSoSo_FaFaSisDaSoSoSo_FaFaSisSoDaDaSo_FaFaSisSoDaSo_FaFaSisSoDaSoSo_FaFaSisSoSo_FaFaSisSoSoDaSo_FaFaSisSoSoSo_FaFaSisSoSoSoSo_FaMoBroDaDaDaSo_FaMoBroDaDaSo_FaMoBroDaDaSoSo_FaMoBroDaSo_FaMoBroDaSoDaSo_FaMoBroDaSoSo_FaMoBroDaSoSoSo_FaMoBroSoDaDaSo_FaMoBroSoDaSo_FaMoBroSoDaSoSo_FaMoBroSoSo_FaMoBroSoSoDaSo_FaMoBroSoSoSo_FaMoBroSoSoSoSo_FaMoFaBroDaDaDaSo_FaMoFaBroDaDaSo_FaMoFaBroDaDaSoSo_FaMoFaHbroDaDaDaDaSo_FaMoFaHbroDaDaDaSo_FaMoFaHbroDaDaDaSoSo_FaMoFaHbroDaDaSo_FaMoFaHbroDaDaSoDaSo_FaMoFaHbroDaDaSoSo_FaMoFaHbroDaDaSoSoSo_FaMoHsisDaDaDaSo_FaMoHsisDaDaSo_FaMoHsisDaDaSoSo_FaMoHsisDaSo_FaMoHsisDaSoDaSo_FaMoHsisDaSoSo_FaMoHsisDaSoSoSo_FaMoMoHsisDaDaDaDaSo_FaMoMoHsisDaDaDaSo_FaMoMoHsisDaDaDaSoSo_FaMoMoHsisDaDaSo_FaMoMoHsisDaDaSoDaSo_FaMoMoHsisDaDaSoSo_FaMoMoHsisDaDaSoSoSo_FaMoMoSisDaDaDaSo_FaMoMoSisDaDaSo_FaMoMoSisDaDaSoSo_FaMoSisDaDaSo_FaMoSisDaSo_FaMoSisDaSoSo_FaSisDaDaSo_FaSisDaSo_FaSisDaSoSo_FaSisSo_FaSisSoDaSo_FaSisSoSo_FaSisSoSoSo_MoBroDaDaSo_MoBroDaSo_MoBroDaSoSo_MoBroSo_MoBroSoDaSo_MoBroSoSo_MoBroSoSoSo_MoFaBroSoDaSo_MoFaBroSoSo_MoFaBroSoSoSo_MoFaFaBroSoSoDaSo_MoFaFaBroSoSoSo_MoFaFaBroSoSoSoSo_MoFaFaHbroSoSoDaDaSo_MoFaFaHbroSoSoDaSo_MoFaFaHbroSoSoDaSoSo_MoFaFaHbroSoSoSo_MoFaFaHbroSoSoSoDaSo_MoFaFaHbroSoSoSoSo_MoFaFaHbroSoSoSoSoSo_MoFaHbroSoDaDaSo_MoFaHbroSoDaSo_MoFaHbroSoDaSoSo_MoFaHbroSoSo_MoFaHbroSoSoDaSo_MoFaHbroSoSoSo_MoFaHbroSoSoSoSo_MoFaMoHsisSoSoDaDaSo_MoFaMoHsisSoSoDaSo_MoFaMoHsisSoSoDaSoSo_MoFaMoHsisSoSoSo_MoFaMoHsisSoSoSoDaSo_MoFaMoHsisSoSoSoSo_MoFaMoHsisSoSoSoSoSo_MoFaMoSisSoSoDaSo_MoFaMoSisSoSoSo_MoFaMoSisSoSoSoSo_MoFaSisDaDaDaSo_MoFaSisDaDaSo_MoFaSisDaDaSoSo_MoFaSisDaSo_MoFaSisDaSoDaSo_MoFaSisDaSoSo_MoFaSisDaSoSoSo_MoFaSisSoDaDaSo_MoFaSisSoDaSo_MoFaSisSoDaSoSo_MoFaSisSoSo_MoFaSisSoSoDaSo_MoFaSisSoSoSo_MoFaSisSoSoSoSo_MoMoBroDaDaDaSo_MoMoBroDaDaSo_MoMoBroDaDaSoSo_MoMoBroDaSo_MoMoBroDaSoDaSo_MoMoBroDaSoSo_MoMoBroDaSoSoSo_MoMoBroSoDaDaSo_MoMoBroSoDaSo_MoMoBroSoDaSoSo_MoMoBroSoSo_MoMoBroSoSoDaSo_MoMoBroSoSoSo_MoMoBroSoSoSoSo_MoMoFaBroDaSoDaSo_MoMoFaBroDaSoSo_MoMoFaBroDaSoSoSo_MoMoFaHbroDaSoDaDaSo_MoMoFaHbroDaSoDaSo_MoMoFaHbroDaSoDaSoSo_MoMoFaHbroDaSoSo_MoMoFaHbroDaSoSoDaSo_MoMoFaHbroDaSoSoSo_MoMoFaHbroDaSoSoSoSo_MoMoHsisSoDaDaSo_MoMoHsisSoDaSo_MoMoHsisSoDaSoSo_MoMoHsisSoSo_MoMoHsisSoSoDaSo_MoMoHsisSoSoSo_MoMoHsisSoSoSoSo_MoMoMoHsisDaSoDaDaSo_MoMoMoHsisDaSoDaSo_MoMoMoHsisDaSoDaSoSo_MoMoMoHsisDaSoSo_MoMoMoHsisDaSoSoDaSo_MoMoMoHsisDaSoSoSo_MoMoMoHsisDaSoSoSoSo_MoMoMoSisDaSoDaSo_MoMoMoSisDaSoSo_MoMoMoSisDaSoSoSo_MoMoSisSoDaSo_MoMoSisSoSo_MoMoSisSoSoSo"}
;; 0
%chima:0, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 1
%chima:0, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 2
%chima:0, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 3
%chima:0, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 4
%chima:0, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 5
%chima:0, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 6
%chima:0, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 7
%chima:0, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 8
%chima:0, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 9
%chima:0, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 10
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 11
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 12
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 13
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 14
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 15
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 16
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 17
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 18
%chima:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 19
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 20
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 21
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 22
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 23
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 24
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 25
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 26
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 27
%chima:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 28
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 29
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 30
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 31
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 32
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 33
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 34
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 35
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 36
%chima:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 37
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 38
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 39
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 40
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 41
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 42
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 43
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 44
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 45
%chima:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 46
%chima:1, cross_gen[aux]102:0, parents:0, sibling:0, parents:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, Alter), male(Alter).
;; 47
%chima:1, cross_gen[aux]102:0, parents:0, sibling:0, parents:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, Alter), male(Alter).
;; 48
%chima:1, cross_gen[aux]102:0, parents:1, sibling:0, parents:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, Alter), male(Alter).
;; 49
%chima:1, cross_gen[aux]102:0, parents:1, sibling:0, parents:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, Alter), male(Alter).
;; 50
%chima:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 51
%chima:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 52
%chima:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 53
%chima:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 54
%chima:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 55
%chima:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 56
%chima:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 57
%chima:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 58
%chima:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 59
%chima:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 60
%chima:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 61
%chima:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 62
%chima:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 63
%chima:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 64
%chima:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 65
%chima:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 66
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 67
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 68
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 69
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 70
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 71
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 72
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 73
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 74
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 75
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 76
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 77
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 78
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 79
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 80
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 81
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 82
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 83
%chima:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 84
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 85
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 86
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 87
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 88
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 89
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 90
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 91
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 92
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 93
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 94
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 95
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 96
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 97
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 98
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 99
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 100
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 101
%chima:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 102
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 103
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 104
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 105
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 106
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 107
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 108
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 109
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 110
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 111
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 112
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 113
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 114
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 115
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 116
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 117
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 118
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 119
%chima:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 120
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 121
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 122
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 123
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 124
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 125
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 126
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 127
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 128
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 129
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 130
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 131
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 132
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 133
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 134
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 135
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 136
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 137
%chima:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 138
%chima:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:0, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), mother(H, Alter), male(Alter).
;; 139
%chima:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:0, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), father(H, Alter), male(Alter).
;; 140
%chima:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:1, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), mother(H, Alter), male(Alter).
;; 141
%chima:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:1, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), father(H, Alter), male(Alter).
;; 142
%chima:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:0, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), mother(H, Alter), male(Alter).
;; 143
%chima:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:0, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), father(H, Alter), male(Alter).
;; 144
%chima:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:1, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), mother(H, Alter), male(Alter).
;; 145
%chima:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:1, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), father(H, Alter), male(Alter).
;; 146
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 147
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 148
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 149
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 150
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 151
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 152
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 153
%chima:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 154
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 155
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 156
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 157
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 158
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 159
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 160
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 161
%chima:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 162
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 163
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 164
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 165
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 166
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 167
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 168
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 169
%chima:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 170
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 171
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 172
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 173
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 174
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 175
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 176
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 177
%chima:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 178
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 179
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 180
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 181
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 182
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 183
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 184
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 185
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 186
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 187
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 188
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 189
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 190
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 191
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 192
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 193
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 194
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 195
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 196
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 197
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 198
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 199
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 200
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 201
%chima:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 202
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 203
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 204
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 205
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 206
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 207
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 208
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 209
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 210
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 211
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 212
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 213
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 214
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 215
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 216
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 217
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 218
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 219
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 220
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 221
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 222
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 223
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 224
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 225
%chima:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 226
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 227
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 228
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 229
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 230
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 231
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 232
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 233
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 234
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 235
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 236
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 237
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 238
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 239
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 240
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 241
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 242
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 243
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 244
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 245
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 246
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 247
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 248
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 249
%chima:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 250
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 251
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 252
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 253
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 254
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 255
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 256
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 257
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 258
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 259
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 260
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 261
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 262
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 263
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 264
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 265
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 266
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 267
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 268
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 269
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 270
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 271
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 272
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 273
%chima:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).


cross_cousin[aux]10(Alter, Ego) :-  parents(A, Ego), cross_gen[aux]102(B, A), child(Alter, B).
;; 0
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(H, D), child(Alter, H).
;; 1
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(H, D), child(Alter, H).
;; 2
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 3
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 4
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 5
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 6
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 7
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 8
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 9
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 10
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 11
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 12
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 13
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 14
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 15
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 16
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 17
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 18
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 19
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 20
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 21
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 22
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 23
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 24
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 25
%cross_cousin[aux]10:0, parents:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 26
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(H, D), child(Alter, H).
;; 27
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(H, D), child(Alter, H).
;; 28
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 29
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 30
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 31
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 32
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 33
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 34
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 35
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 36
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 37
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 38
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 39
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 40
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 41
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 42
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 43
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 44
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 45
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 46
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 47
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 48
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 49
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(M, L), gender(N, B), gender(O, L), not(equal(N, O)), child(Alter, M).
;; 50
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).
;; 51
%cross_cousin[aux]10:0, parents:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(J, I), gender(K, B), gender(L, I), not(equal(K, L)), child(Alter, J).


cross_gen[aux]10(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)).
                             |   cross_gen[aux]102(Alter, Ego).
;; 0
%cross_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 1
%cross_gen[aux]10:1, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 2
%cross_gen[aux]10:1, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 3
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 4
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 5
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 6
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 7
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 8
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 9
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 10
%cross_gen[aux]10:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 11
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 12
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 13
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 14
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 15
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 16
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 17
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 18
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 19
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 20
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 21
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 22
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 23
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 24
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 25
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 26
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 27
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 28
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 29
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 30
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 31
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 32
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 33
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 34
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 35
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 36
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 37
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 38
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 39
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 40
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 41
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 42
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 43
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 44
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 45
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 46
%cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 47
%cross_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).


cross_gen[aux]102(Alter, Ego) :- [ext],  parents(A, Ego), sibling(A, B), gender(C, B), gender(D, A), not(equal(C, D)), child(Alter, B).
                              |  [ext],  parents(A, Ego), parents(B, A), sibling(B, C), gender(D, C), gender(E, B), not(equal(D, E)), children(F, C), child(Alter, F).
                              |  [ext],  parents(A, Ego), parents(B, A), parallel_gen[aux]10(B, C), child(D, C), child(Alter, D), gender(E, A), gender(F, D), not(equal(E, F)).
;; 0
%cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 1
%cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 2
%cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 3
%cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 4
%cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 5
%cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 6
%cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 7
%cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 8
%cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 9
%cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 10
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 11
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 12
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 13
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 14
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 15
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 16
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 17
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 18
%cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 19
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 20
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 21
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 22
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 23
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 24
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 25
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 26
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 27
%cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 28
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 29
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 30
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 31
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 32
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 33
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 34
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 35
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 36
%cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 37
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 38
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 39
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 40
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 41
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 42
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 43
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 44
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 45
%cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).


elder_para_gen[aux]10(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Alter), gender(A, Ego), elder(Alter, Ego).
                                  |   parents(A, Ego), elder_para_gen[aux]10(B, A), child(Alter, B), gender(C, A), gender(C, B).
                                  |  [ext],  step_child[aux]10(Ego, A), child(Alter, A), gender(B, Alter), gender(B, Ego), elder(Alter, Ego).
                                  |  [ext],  step_child[aux]10(Ego, A), elder_para_gen[aux]10(B, A), child(Alter, B), gender(C, A), gender(C, B).
;; 0
%elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego).
;; 1
%elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D).
;; 2
%elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 3
%elder_para_gen[aux]10:1, parents:0, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 4
%elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D).
;; 5
%elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 6
%elder_para_gen[aux]10:1, parents:1, elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 7
%elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).
;; 8
%elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).
;; 9
%elder_para_gen[aux]10:3, step_child[aux]10:0, spice:0, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F).
;; 10
%elder_para_gen[aux]10:3, step_child[aux]10:0, spice:1, elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F).
;; 11
%elder_para_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego).
;; 12
%elder_para_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).
;; 13
%elder_para_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).


generation[aux]10(Alter, Ego) :-  sibling(Alter, Ego).
                              |   parents(A, Ego), generation[aux]10gs(B, A), child(Alter, B).
;; 0
%generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 8
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 9
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 10
%generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 11
%generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 12
%generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 13
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 14
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 15
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 16
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 17
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 18
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 19
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 20
%generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).


generation[aux]10gs(Alter, Ego) :-  siblings(Alter, Ego).
                                |   parents(A, Ego), generation[aux]10gs(B, A), children(Alter, B).
;; 0
%generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 7
%generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 8
%generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 9
%generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).


generation[aux]10small(Alter, Ego) :-  sibling(Alter, Ego).
                                   |   parents(A, Ego), siblings(B, A), child(Alter, B).
;; 0
%generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).


grandparent[aux]10(Alter, Ego) :-  grandparent[aux]10direct(Alter, Ego).
                               |   spouse(A, Ego), grandparent[aux]10direct(Alter, A).
;; 0
%grandparent[aux]10:0, grandparent[aux]10direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 1
%grandparent[aux]10:0, grandparent[aux]10direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 2
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B).
;; 8
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 9
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 10
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 11
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 12
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 13
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 14
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 15
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 16
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 17
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 18
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 19
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 20
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 21
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 22
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 23
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 24
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 25
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B).
;; 26
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 27
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 28
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 29
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 30
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 31
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 32
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 33
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 34
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 35
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 36
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 37
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 38
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 39
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 40
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 41
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 42
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 43
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B).
;; 44
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 45
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 46
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 47
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 48
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 49
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 50
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 51
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 52
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 53
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 54
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 55
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 56
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 57
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 58
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 59
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 60
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 61
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B).
;; 62
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 63
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 64
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 65
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 66
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 67
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 68
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 69
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 70
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 71
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 72
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 73
%grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 74
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 75
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 76
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 77
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 78
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 79
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 80
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 81
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 82
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 83
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 84
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 85
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 86
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 87
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 88
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 89
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 90
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 91
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 92
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 93
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 94
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 95
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 96
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 97
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 98
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 99
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 100
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 101
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 102
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 103
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 104
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 105
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 106
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 107
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 108
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 109
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 110
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 111
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 112
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 113
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 114
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 115
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 116
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 117
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 118
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 119
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 120
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 121
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 122
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 123
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 124
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 125
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 126
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 127
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 128
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 129
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 130
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 131
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 132
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 133
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 134
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 135
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 136
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 137
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 138
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 139
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 140
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 141
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 142
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 143
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 144
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 145
%grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 146
%grandparent[aux]10:1, grandparent[aux]10direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), mother(B, A), parent(Alter, B).
;; 147
%grandparent[aux]10:1, grandparent[aux]10direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), father(B, A), parent(Alter, B).
;; 148
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 149
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 150
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 151
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 152
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 153
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 154
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 155
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 156
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 157
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 158
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 159
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 160
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 161
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 162
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 163
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 164
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 165
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 166
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 167
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 168
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 169
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 170
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 171
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 172
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 173
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 174
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 175
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 176
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 177
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 178
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 179
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 180
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 181
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 182
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 183
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 184
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 185
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 186
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 187
%grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 188
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 189
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 190
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 191
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 192
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 193
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 194
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 195
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 196
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 197
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 198
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 199
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 200
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 201
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 202
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 203
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 204
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 205
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 206
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 207
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 208
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 209
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 210
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 211
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 212
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 213
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 214
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 215
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 216
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 217
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 218
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 219
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 220
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 221
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 222
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 223
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 224
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 225
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 226
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 227
%grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).


grandparent[aux]10direct(Alter, Ego) :-  parents(A, Ego), parent(Alter, A).
                                     |  [ext],  parents(A, Ego), parents(B, A), square[aux]10up_small(Alter, B).
                                     |  [ext],  parents(A, Ego), parents(B, A), square[aux]10up_small(C, B), spouse(Alter, C).
;; 0
%grandparent[aux]10direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 1
%grandparent[aux]10direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 2
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B).
;; 8
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 9
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 10
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 11
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 12
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 13
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 14
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 15
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 16
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 17
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 18
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 19
%grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 20
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 21
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 22
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 23
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 24
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 25
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B).
;; 26
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 27
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 28
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 29
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 30
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 31
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 32
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 33
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 34
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 35
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 36
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 37
%grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 38
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 39
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 40
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 41
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 42
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 43
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B).
;; 44
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 45
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 46
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 47
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 48
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 49
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 50
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 51
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 52
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 53
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 54
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 55
%grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 56
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 57
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 58
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 59
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 60
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 61
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B).
;; 62
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 63
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 64
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 65
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 66
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 67
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 68
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 69
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 70
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 71
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 72
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 73
%grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 74
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 75
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 76
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 77
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 78
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 79
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 80
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 81
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 82
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 83
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 84
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 85
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 86
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 87
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 88
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 89
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 90
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 91
%grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 92
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 93
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 94
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 95
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 96
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 97
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 98
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 99
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 100
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 101
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 102
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 103
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 104
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 105
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 106
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 107
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 108
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 109
%grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 110
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 111
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 112
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 113
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 114
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 115
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 116
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 117
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 118
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 119
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 120
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 121
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 122
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 123
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 124
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 125
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 126
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 127
%grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 128
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 129
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 130
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 131
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 132
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 133
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 134
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 135
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 136
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 137
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 138
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 139
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 140
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 141
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 142
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 143
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 144
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 145
%grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).


grandparent[aux]10es(Alter, Ego) :-  grandparent[aux]10direct(Alter, Ego).
                                 |   spice(A, Ego), grandparent[aux]10direct(Alter, A).
;; 0
%grandparent[aux]10es:0, grandparent[aux]10direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 1
%grandparent[aux]10es:0, grandparent[aux]10direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 2
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B).
;; 8
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 9
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 10
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 11
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 12
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 13
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 14
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 15
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 16
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 17
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 18
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 19
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 20
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 21
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 22
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 23
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 24
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 25
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B).
;; 26
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 27
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 28
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 29
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 30
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 31
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 32
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 33
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 34
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 35
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 36
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 37
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 38
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 39
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 40
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 41
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 42
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 43
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B).
;; 44
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 45
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 46
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 47
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 48
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 49
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 50
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 51
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 52
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 53
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 54
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 55
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 56
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 57
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 58
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 59
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 60
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 61
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B).
;; 62
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 63
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 64
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 65
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 66
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 67
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 68
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 69
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 70
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 71
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 72
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 73
%grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 74
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 75
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 76
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 77
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 78
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 79
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 80
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 81
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 82
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 83
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 84
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 85
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 86
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 87
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 88
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 89
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 90
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 91
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 92
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 93
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 94
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 95
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 96
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 97
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 98
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 99
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 100
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 101
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 102
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 103
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 104
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 105
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 106
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 107
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 108
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 109
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 110
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 111
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 112
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 113
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 114
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 115
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 116
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 117
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 118
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 119
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 120
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 121
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 122
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 123
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 124
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 125
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 126
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 127
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 128
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 129
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 130
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 131
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 132
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 133
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 134
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 135
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 136
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 137
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 138
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 139
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 140
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 141
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 142
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 143
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 144
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 145
%grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 146
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), mother(B, A), parent(Alter, B).
;; 147
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), father(B, A), parent(Alter, B).
;; 148
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 149
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 150
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 151
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 152
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 153
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 154
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 155
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 156
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 157
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 158
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 159
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 160
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 161
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 162
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 163
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 164
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 165
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 166
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 167
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 168
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 169
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 170
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 171
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 172
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 173
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 174
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 175
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 176
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 177
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 178
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 179
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 180
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 181
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 182
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 183
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 184
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 185
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 186
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 187
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 188
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 189
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 190
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 191
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 192
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 193
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 194
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 195
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 196
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 197
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 198
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 199
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 200
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 201
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 202
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 203
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 204
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 205
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 206
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 207
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 208
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 209
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 210
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 211
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 212
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 213
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 214
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 215
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 216
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 217
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 218
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 219
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 220
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 221
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 222
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 223
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 224
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 225
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 226
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 227
%grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 228
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), mother(B, A), parent(Alter, B).
;; 229
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), father(B, A), parent(Alter, B).
;; 230
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 231
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 232
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 233
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 234
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 235
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 236
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 237
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 238
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 239
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 240
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 241
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 242
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 243
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 244
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 245
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 246
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 247
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 248
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 249
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 250
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 251
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 252
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 253
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 254
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 255
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 256
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 257
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 258
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 259
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 260
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 261
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 262
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 263
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 264
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 265
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 266
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 267
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 268
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 269
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 270
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 271
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 272
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 273
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 274
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 275
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 276
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 277
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 278
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 279
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 280
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 281
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 282
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 283
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 284
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 285
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 286
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 287
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 288
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 289
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 290
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 291
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 292
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 293
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 294
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 295
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 296
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 297
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 298
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 299
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 300
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 301
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 302
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 303
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 304
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 305
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 306
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 307
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 308
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 309
%grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).


half_brother(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
                         |   mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).
;; 0
%half_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
;; 1
%half_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).


half_sister(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
                        |   mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).
;; 0
%half_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
;; 1
%half_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).


jibuwaimo(Alter, Ego) :-  step_daughter(Alter, Ego).
{"Stda"}
;; 0
%jibuwaimo:0, step_daughter:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stda}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


jibuwaimu(Alter, Ego) :-  step_son(Alter, Ego).
{"Stso"}
;; 0
%jibuwaimu:0, step_son:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stso}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


jicapenumo(Alter, Ego) :-  wife(A, Ego), parallel_gen[aux]10(Alter, A).
                       |  [ext],  male(Ego), parallel_gen[aux]10(A, Ego), wife(Alter, A).
{"BroWi_FaBroSoWi_FaHbroSoWi_HbroWi_MoHsisSoWi_MoSisSoWi_StfaBroSoWi_StmoSisSoWi_WiFaBroDa_WiFaHbroDa_WiHsis_WiMoHsisDa_WiMoSisDa_WiSis_WiStfaBroDa_WiStmoSisDa"}
;; 0
%jicapenumo:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiSis}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Alter), gender(D, A).
;; 1
%jicapenumo:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 2
%jicapenumo:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {WiMoHsisDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 3
%jicapenumo:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {WiMoHsisDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 4
%jicapenumo:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 5
%jicapenumo:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {WiFaHbroDa}  
[ext], [ext],  wife(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 6
%jicapenumo:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {WiFaHbroDa}  
[ext], [ext],  wife(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 7
%jicapenumo:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {WiHsis}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 8
%jicapenumo:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {WiHsis}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 9
%jicapenumo:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {WiStmoSisDa}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 10
%jicapenumo:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {WiStfaBroDa}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 11
%jicapenumo:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), wife(Alter, C).
;; 12
%jicapenumo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), wife(Alter, F).
;; 13
%jicapenumo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisSoWi}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 14
%jicapenumo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisSoWi}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 15
%jicapenumo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), wife(Alter, F).
;; 16
%jicapenumo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroSoWi}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 17
%jicapenumo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroSoWi}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 18
%jicapenumo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {HbroWi}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), wife(Alter, D).
;; 19
%jicapenumo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {HbroWi}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), wife(Alter, D).
;; 20
%jicapenumo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StmoSisSoWi}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), wife(Alter, H).
;; 21
%jicapenumo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StfaBroSoWi}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), wife(Alter, H).


jicapenumu(Alter, Ego) :-  husband(A, Ego), parallel_gen[aux]10(Alter, A).
                       |  [ext],  female(Ego), parallel_gen[aux]10(A, Ego), husband(Alter, A).
{"FaBroDaHu_FaHbroDaHu_HsisHu_HuBro_HuFaBroSo_HuFaHbroSo_HuHbro_HuMoHsisSo_HuMoSisSo_HuStfaBroSo_HuStmoSisSo_MoHsisDaHu_MoSisDaHu_SisHu_StfaBroDaHu_StmoSisDaHu"}
;; 0
%jicapenumu:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuBro}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Alter), gender(D, A).
;; 1
%jicapenumu:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 2
%jicapenumu:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {HuMoHsisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 3
%jicapenumu:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {HuMoHsisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 4
%jicapenumu:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 5
%jicapenumu:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {HuFaHbroSo}  
[ext], [ext],  husband(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 6
%jicapenumu:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {HuFaHbroSo}  
[ext], [ext],  husband(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 7
%jicapenumu:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {HuHbro}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 8
%jicapenumu:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {HuHbro}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 9
%jicapenumu:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {HuStmoSisSo}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 10
%jicapenumu:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {HuStfaBroSo}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 11
%jicapenumu:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), husband(Alter, C).
;; 12
%jicapenumu:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), husband(Alter, F).
;; 13
%jicapenumu:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 14
%jicapenumu:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 15
%jicapenumu:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), husband(Alter, F).
;; 16
%jicapenumu:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroDaHu}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 17
%jicapenumu:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroDaHu}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 18
%jicapenumu:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {HsisHu}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), husband(Alter, D).
;; 19
%jicapenumu:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {HsisHu}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), husband(Alter, D).
;; 20
%jicapenumu:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StmoSisDaHu}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), husband(Alter, H).
;; 21
%jicapenumu:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StfaBroDaHu}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), husband(Alter, H).


jichimaco(Alter, Ego) :-  cross_gen[aux]102(Alter, Ego), female(Alter).
                      |   cross_gen[aux]102(A, Ego), parents(A, Alter), female(Alter).
                      |   cross_gen[aux]102(A, Ego), parents(A, B), parents(B, Alter), female(Alter).
{"FaFaBroDaDa_FaFaBroDaDaDa_FaFaBroDaSoDa_FaFaFaBroSoDaDa_FaFaFaBroSoDaDaDa_FaFaFaBroSoDaSoDa_FaFaFaHbroSoDaDa_FaFaFaHbroSoDaDaDa_FaFaFaHbroSoDaSoDa_FaFaHbroDaDa_FaFaHbroDaDaDa_FaFaHbroDaSoDa_FaFaMoHsisSoDaDa_FaFaMoHsisSoDaDaDa_FaFaMoHsisSoDaSoDa_FaFaMoSisSoDaDa_FaFaMoSisSoDaDaDa_FaFaMoSisSoDaSoDa_FaFaSisDaDa_FaFaSisDaDaDa_FaFaSisDaDaDaDa_FaFaSisDaDaSoDa_FaFaSisDaSoDa_FaFaSisDaSoDaDa_FaFaSisDaSoSoDa_FaFaSisSoDa_FaFaSisSoDaDa_FaFaSisSoDaDaDa_FaFaSisSoDaSoDa_FaFaSisSoSoDa_FaFaSisSoSoDaDa_FaFaSisSoSoSoDa_FaMoBroDaDa_FaMoBroDaDaDa_FaMoBroDaDaDaDa_FaMoBroDaDaSoDa_FaMoBroDaSoDa_FaMoBroDaSoDaDa_FaMoBroDaSoSoDa_FaMoBroSoDa_FaMoBroSoDaDa_FaMoBroSoDaDaDa_FaMoBroSoDaSoDa_FaMoBroSoSoDa_FaMoBroSoSoDaDa_FaMoBroSoSoSoDa_FaMoFaBroDaDaDa_FaMoFaBroDaDaDaDa_FaMoFaBroDaDaSoDa_FaMoFaHbroDaDaDa_FaMoFaHbroDaDaDaDa_FaMoFaHbroDaDaSoDa_FaMoHsisDaDa_FaMoHsisDaDaDa_FaMoHsisDaSoDa_FaMoMoHsisDaDaDa_FaMoMoHsisDaDaDaDa_FaMoMoHsisDaDaSoDa_FaMoMoSisDaDaDa_FaMoMoSisDaDaDaDa_FaMoMoSisDaDaSoDa_FaMoSisDaDa_FaMoSisDaDaDa_FaMoSisDaSoDa_FaSisDa_FaSisDaDa_FaSisDaDaDa_FaSisDaSoDa_FaSisSoDa_FaSisSoDaDa_FaSisSoSoDa_MoBroDa_MoBroDaDa_MoBroDaDaDa_MoBroDaSoDa_MoBroSoDa_MoBroSoDaDa_MoBroSoSoDa_MoFaBroSoDa_MoFaBroSoDaDa_MoFaBroSoSoDa_MoFaFaBroSoSoDa_MoFaFaBroSoSoDaDa_MoFaFaBroSoSoSoDa_MoFaFaHbroSoSoDa_MoFaFaHbroSoSoDaDa_MoFaFaHbroSoSoSoDa_MoFaHbroSoDa_MoFaHbroSoDaDa_MoFaHbroSoSoDa_MoFaMoHsisSoSoDa_MoFaMoHsisSoSoDaDa_MoFaMoHsisSoSoSoDa_MoFaMoSisSoSoDa_MoFaMoSisSoSoDaDa_MoFaMoSisSoSoSoDa_MoFaSisDaDa_MoFaSisDaDaDa_MoFaSisDaDaDaDa_MoFaSisDaDaSoDa_MoFaSisDaSoDa_MoFaSisDaSoDaDa_MoFaSisDaSoSoDa_MoFaSisSoDa_MoFaSisSoDaDa_MoFaSisSoDaDaDa_MoFaSisSoDaSoDa_MoFaSisSoSoDa_MoFaSisSoSoDaDa_MoFaSisSoSoSoDa_MoMoBroDaDa_MoMoBroDaDaDa_MoMoBroDaDaDaDa_MoMoBroDaDaSoDa_MoMoBroDaSoDa_MoMoBroDaSoDaDa_MoMoBroDaSoSoDa_MoMoBroSoDa_MoMoBroSoDaDa_MoMoBroSoDaDaDa_MoMoBroSoDaSoDa_MoMoBroSoSoDa_MoMoBroSoSoDaDa_MoMoBroSoSoSoDa_MoMoFaBroDaSoDa_MoMoFaBroDaSoDaDa_MoMoFaBroDaSoSoDa_MoMoFaHbroDaSoDa_MoMoFaHbroDaSoDaDa_MoMoFaHbroDaSoSoDa_MoMoHsisSoDa_MoMoHsisSoDaDa_MoMoHsisSoSoDa_MoMoMoHsisDaSoDa_MoMoMoHsisDaSoDaDa_MoMoMoHsisDaSoSoDa_MoMoMoSisDaSoDa_MoMoMoSisDaSoDaDa_MoMoMoSisDaSoSoDa_MoMoSisSoDa_MoMoSisSoDaDa_MoMoSisSoSoDa"}
;; 0
%jichimaco:0, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), female(Alter).
;; 1
%jichimaco:0, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), female(Alter).
;; 2
%jichimaco:0, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 3
%jichimaco:0, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 4
%jichimaco:0, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 5
%jichimaco:0, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 6
%jichimaco:0, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 7
%jichimaco:0, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 8
%jichimaco:0, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 9
%jichimaco:0, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 10
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 11
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 12
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 13
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 14
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 15
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 16
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 17
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 18
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 19
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 20
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 21
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 22
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 23
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 24
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 25
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 26
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 27
%jichimaco:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 28
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 29
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 30
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 31
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 32
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 33
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 34
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 35
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 36
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 37
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 38
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 39
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 40
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 41
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 42
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 43
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 44
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 45
%jichimaco:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 46
%jichimaco:1, cross_gen[aux]102:0, parents:0, sibling:0, parents:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, Alter), female(Alter).
;; 47
%jichimaco:1, cross_gen[aux]102:0, parents:0, sibling:0, parents:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, Alter), female(Alter).
;; 48
%jichimaco:1, cross_gen[aux]102:0, parents:1, sibling:0, parents:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, Alter), female(Alter).
;; 49
%jichimaco:1, cross_gen[aux]102:0, parents:1, sibling:0, parents:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, Alter), female(Alter).
;; 50
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 51
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), female(Alter).
;; 52
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 53
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), female(Alter).
;; 54
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 55
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), female(Alter).
;; 56
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 57
%jichimaco:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), female(Alter).
;; 58
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 59
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), female(Alter).
;; 60
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 61
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), female(Alter).
;; 62
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 63
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), female(Alter).
;; 64
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), female(Alter).
;; 65
%jichimaco:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), female(Alter).
;; 66
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), female(Alter).
;; 67
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), female(Alter).
;; 68
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 69
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 70
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 71
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 72
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 73
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 74
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 75
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 76
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 77
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 78
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 79
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 80
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 81
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 82
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 83
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 84
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), female(Alter).
;; 85
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), female(Alter).
;; 86
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 87
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 88
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 89
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 90
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 91
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 92
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 93
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 94
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 95
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 96
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 97
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 98
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 99
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 100
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 101
%jichimaco:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 102
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), female(Alter).
;; 103
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), female(Alter).
;; 104
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 105
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 106
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 107
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 108
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 109
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 110
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 111
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 112
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 113
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 114
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 115
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 116
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 117
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 118
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 119
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 120
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), female(Alter).
;; 121
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), female(Alter).
;; 122
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 123
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 124
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 125
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 126
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 127
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 128
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), female(Alter).
;; 129
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), female(Alter).
;; 130
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 131
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 132
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), female(Alter).
;; 133
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), female(Alter).
;; 134
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 135
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 136
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), female(Alter).
;; 137
%jichimaco:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), female(Alter).
;; 138
%jichimaco:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:0, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), mother(H, Alter), female(Alter).
;; 139
%jichimaco:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:0, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), father(H, Alter), female(Alter).
;; 140
%jichimaco:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:1, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), mother(H, Alter), female(Alter).
;; 141
%jichimaco:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:1, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), father(H, Alter), female(Alter).
;; 142
%jichimaco:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:0, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), mother(H, Alter), female(Alter).
;; 143
%jichimaco:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:0, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), father(H, Alter), female(Alter).
;; 144
%jichimaco:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:1, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), mother(H, Alter), female(Alter).
;; 145
%jichimaco:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:1, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), father(H, Alter), female(Alter).
;; 146
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 147
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 148
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 149
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 150
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 151
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 152
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 153
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 154
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 155
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 156
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 157
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 158
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 159
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 160
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 161
%jichimaco:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 162
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 163
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 164
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 165
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 166
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 167
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 168
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 169
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 170
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 171
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 172
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 173
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).
;; 174
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), female(Alter).
;; 175
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), female(Alter).
;; 176
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), female(Alter).
;; 177
%jichimaco:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), female(Alter).


jichimacu(Alter, Ego) :-  female(Ego), cross_gen[aux]102(Alter, Ego), male(Alter).
                      |   female(Ego), cross_gen[aux]102(A, Ego), parents(A, Alter), male(Alter).
                      |   female(Ego), cross_gen[aux]102(A, Ego), parents(A, B), parents(B, Alter), male(Alter).
{"FaFaBroDaDaSo_FaFaBroDaSo_FaFaBroDaSoSo_FaFaFaBroSoDaDaSo_FaFaFaBroSoDaSo_FaFaFaBroSoDaSoSo_FaFaFaHbroSoDaDaDaSo_FaFaFaHbroSoDaDaSo_FaFaFaHbroSoDaDaSoSo_FaFaFaHbroSoDaSo_FaFaFaHbroSoDaSoDaSo_FaFaFaHbroSoDaSoSo_FaFaFaHbroSoDaSoSoSo_FaFaHbroDaDaDaSo_FaFaHbroDaDaSo_FaFaHbroDaDaSoSo_FaFaHbroDaSo_FaFaHbroDaSoDaSo_FaFaHbroDaSoSo_FaFaHbroDaSoSoSo_FaFaMoHsisSoDaDaDaSo_FaFaMoHsisSoDaDaSo_FaFaMoHsisSoDaDaSoSo_FaFaMoHsisSoDaSo_FaFaMoHsisSoDaSoDaSo_FaFaMoHsisSoDaSoSo_FaFaMoHsisSoDaSoSoSo_FaFaMoSisSoDaDaSo_FaFaMoSisSoDaSo_FaFaMoSisSoDaSoSo_FaFaSisDaDaDaSo_FaFaSisDaDaSo_FaFaSisDaDaSoSo_FaFaSisDaSo_FaFaSisDaSoDaSo_FaFaSisDaSoSo_FaFaSisDaSoSoSo_FaFaSisSoDaDaSo_FaFaSisSoDaSo_FaFaSisSoDaSoSo_FaFaSisSoSo_FaFaSisSoSoDaSo_FaFaSisSoSoSo_FaFaSisSoSoSoSo_FaMoBroDaDaDaSo_FaMoBroDaDaSo_FaMoBroDaDaSoSo_FaMoBroDaSo_FaMoBroDaSoDaSo_FaMoBroDaSoSo_FaMoBroDaSoSoSo_FaMoBroSoDaDaSo_FaMoBroSoDaSo_FaMoBroSoDaSoSo_FaMoBroSoSo_FaMoBroSoSoDaSo_FaMoBroSoSoSo_FaMoBroSoSoSoSo_FaMoFaBroDaDaDaSo_FaMoFaBroDaDaSo_FaMoFaBroDaDaSoSo_FaMoFaHbroDaDaDaDaSo_FaMoFaHbroDaDaDaSo_FaMoFaHbroDaDaDaSoSo_FaMoFaHbroDaDaSo_FaMoFaHbroDaDaSoDaSo_FaMoFaHbroDaDaSoSo_FaMoFaHbroDaDaSoSoSo_FaMoHsisDaDaDaSo_FaMoHsisDaDaSo_FaMoHsisDaDaSoSo_FaMoHsisDaSo_FaMoHsisDaSoDaSo_FaMoHsisDaSoSo_FaMoHsisDaSoSoSo_FaMoMoHsisDaDaDaDaSo_FaMoMoHsisDaDaDaSo_FaMoMoHsisDaDaDaSoSo_FaMoMoHsisDaDaSo_FaMoMoHsisDaDaSoDaSo_FaMoMoHsisDaDaSoSo_FaMoMoHsisDaDaSoSoSo_FaMoMoSisDaDaDaSo_FaMoMoSisDaDaSo_FaMoMoSisDaDaSoSo_FaMoSisDaDaSo_FaMoSisDaSo_FaMoSisDaSoSo_FaSisDaDaSo_FaSisDaSo_FaSisDaSoSo_FaSisSo_FaSisSoDaSo_FaSisSoSo_FaSisSoSoSo_MoBroDaDaSo_MoBroDaSo_MoBroDaSoSo_MoBroSo_MoBroSoDaSo_MoBroSoSo_MoBroSoSoSo_MoFaBroSoDaSo_MoFaBroSoSo_MoFaBroSoSoSo_MoFaFaBroSoSoDaSo_MoFaFaBroSoSoSo_MoFaFaBroSoSoSoSo_MoFaFaHbroSoSoDaDaSo_MoFaFaHbroSoSoDaSo_MoFaFaHbroSoSoDaSoSo_MoFaFaHbroSoSoSo_MoFaFaHbroSoSoSoDaSo_MoFaFaHbroSoSoSoSo_MoFaFaHbroSoSoSoSoSo_MoFaHbroSoDaDaSo_MoFaHbroSoDaSo_MoFaHbroSoDaSoSo_MoFaHbroSoSo_MoFaHbroSoSoDaSo_MoFaHbroSoSoSo_MoFaHbroSoSoSoSo_MoFaMoHsisSoSoDaDaSo_MoFaMoHsisSoSoDaSo_MoFaMoHsisSoSoDaSoSo_MoFaMoHsisSoSoSo_MoFaMoHsisSoSoSoDaSo_MoFaMoHsisSoSoSoSo_MoFaMoHsisSoSoSoSoSo_MoFaMoSisSoSoDaSo_MoFaMoSisSoSoSo_MoFaMoSisSoSoSoSo_MoFaSisDaDaDaSo_MoFaSisDaDaSo_MoFaSisDaDaSoSo_MoFaSisDaSo_MoFaSisDaSoDaSo_MoFaSisDaSoSo_MoFaSisDaSoSoSo_MoFaSisSoDaDaSo_MoFaSisSoDaSo_MoFaSisSoDaSoSo_MoFaSisSoSo_MoFaSisSoSoDaSo_MoFaSisSoSoSo_MoFaSisSoSoSoSo_MoMoBroDaDaDaSo_MoMoBroDaDaSo_MoMoBroDaDaSoSo_MoMoBroDaSo_MoMoBroDaSoDaSo_MoMoBroDaSoSo_MoMoBroDaSoSoSo_MoMoBroSoDaDaSo_MoMoBroSoDaSo_MoMoBroSoDaSoSo_MoMoBroSoSo_MoMoBroSoSoDaSo_MoMoBroSoSoSo_MoMoBroSoSoSoSo_MoMoFaBroDaSoDaSo_MoMoFaBroDaSoSo_MoMoFaBroDaSoSoSo_MoMoFaHbroDaSoDaDaSo_MoMoFaHbroDaSoDaSo_MoMoFaHbroDaSoDaSoSo_MoMoFaHbroDaSoSo_MoMoFaHbroDaSoSoDaSo_MoMoFaHbroDaSoSoSo_MoMoFaHbroDaSoSoSoSo_MoMoHsisSoDaDaSo_MoMoHsisSoDaSo_MoMoHsisSoDaSoSo_MoMoHsisSoSo_MoMoHsisSoSoDaSo_MoMoHsisSoSoSo_MoMoHsisSoSoSoSo_MoMoMoHsisDaSoDaDaSo_MoMoMoHsisDaSoDaSo_MoMoMoHsisDaSoDaSoSo_MoMoMoHsisDaSoSo_MoMoMoHsisDaSoSoDaSo_MoMoMoHsisDaSoSoSo_MoMoMoHsisDaSoSoSoSo_MoMoMoSisDaSoDaSo_MoMoMoSisDaSoSo_MoMoMoSisDaSoSoSo_MoMoSisSoDaSo_MoMoSisSoSo_MoMoSisSoSoSo"}
;; 0
%jichimacu:0, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 1
%jichimacu:0, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 2
%jichimacu:0, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 3
%jichimacu:0, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 4
%jichimacu:0, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 5
%jichimacu:0, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 6
%jichimacu:0, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 7
%jichimacu:0, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 8
%jichimacu:0, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 9
%jichimacu:0, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 10
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 11
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 12
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 13
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 14
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 15
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 16
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 17
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 18
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 19
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 20
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 21
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 22
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 23
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 24
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 25
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 26
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 27
%jichimacu:0, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 28
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 29
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 30
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 31
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 32
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 33
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 34
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 35
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 36
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 37
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 38
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 39
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 40
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 41
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 42
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 43
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 44
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 45
%jichimacu:0, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 46
%jichimacu:1, cross_gen[aux]102:0, parents:0, sibling:0, parents:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, Alter), male(Alter).
;; 47
%jichimacu:1, cross_gen[aux]102:0, parents:0, sibling:0, parents:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, Alter), male(Alter).
;; 48
%jichimacu:1, cross_gen[aux]102:0, parents:1, sibling:0, parents:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, Alter), male(Alter).
;; 49
%jichimacu:1, cross_gen[aux]102:0, parents:1, sibling:0, parents:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, Alter), male(Alter).
;; 50
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 51
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 52
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 53
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 54
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 55
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 56
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 57
%jichimacu:1, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 58
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 59
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 60
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 61
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 62
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 63
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, Alter), male(Alter).
;; 64
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, Alter), male(Alter).
;; 65
%jichimacu:1, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, Alter), male(Alter).
;; 66
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 67
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 68
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 69
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 70
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 71
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 72
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 73
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 74
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 75
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 76
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 77
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 78
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 79
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 80
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 81
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 82
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 83
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 84
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 85
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 86
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 87
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 88
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 89
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 90
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 91
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 92
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 93
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 94
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 95
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 96
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 97
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 98
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 99
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 100
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 101
%jichimacu:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 102
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 103
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 104
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 105
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 106
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 107
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 108
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 109
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 110
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 111
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 112
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 113
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 114
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 115
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 116
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 117
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 118
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 119
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 120
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), mother(H, Alter), male(Alter).
;; 121
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(H, G), gender(I, A), gender(J, G), not(equal(I, J)), father(H, Alter), male(Alter).
;; 122
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 123
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 124
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 125
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 126
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 127
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 128
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), mother(K, Alter), male(Alter).
;; 129
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0, parents:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(K, J), gender(L, A), gender(M, J), not(equal(L, M)), father(K, Alter), male(Alter).
;; 130
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 131
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 132
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, Alter), male(Alter).
;; 133
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, Alter), male(Alter).
;; 134
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 135
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 136
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, Alter), male(Alter).
;; 137
%jichimacu:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, Alter), male(Alter).
;; 138
%jichimacu:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:0, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), mother(H, Alter), male(Alter).
;; 139
%jichimacu:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:0, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), father(H, Alter), male(Alter).
;; 140
%jichimacu:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:1, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), mother(H, Alter), male(Alter).
;; 141
%jichimacu:2, cross_gen[aux]102:0, parents:0, sibling:0, parents:1, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), father(H, Alter), male(Alter).
;; 142
%jichimacu:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:0, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), mother(H, Alter), male(Alter).
;; 143
%jichimacu:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:0, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), mother(G, H), father(H, Alter), male(Alter).
;; 144
%jichimacu:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:1, parents:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), mother(H, Alter), male(Alter).
;; 145
%jichimacu:2, cross_gen[aux]102:0, parents:1, sibling:0, parents:1, parents:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(G, C), father(G, H), father(H, Alter), male(Alter).
;; 146
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 147
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 148
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 149
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 150
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 151
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 152
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 153
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:0, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 154
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 155
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 156
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 157
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 158
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 159
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 160
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 161
%jichimacu:2, cross_gen[aux]102:1, parents:0, parents:1, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 162
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 163
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 164
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 165
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 166
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 167
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 168
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 169
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:0, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 170
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 171
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 172
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 173
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:0, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 174
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), mother(J, Alter), male(Alter).
;; 175
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:0, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), mother(I, J), father(J, Alter), male(Alter).
;; 176
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1, parents:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), mother(J, Alter), male(Alter).
;; 177
%jichimacu:2, cross_gen[aux]102:1, parents:1, parents:1, sibling:0, children:1, parents:1, parents:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(I, H), father(I, J), father(J, Alter), male(Alter).
;; 178
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 179
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 180
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 181
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 182
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 183
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 184
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 185
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 186
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 187
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 188
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 189
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 190
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 191
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 192
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 193
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 194
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 195
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 196
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 197
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 198
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 199
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 200
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 201
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 202
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 203
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 204
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 205
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 206
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 207
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 208
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 209
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 210
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 211
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 212
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 213
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 214
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 215
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 216
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 217
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 218
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 219
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 220
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 221
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 222
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 223
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 224
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 225
%jichimacu:2, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 226
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 227
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 228
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 229
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 230
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 231
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 232
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 233
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 234
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 235
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 236
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 237
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 238
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 239
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 240
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 241
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 242
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 243
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 244
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 245
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 246
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 247
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 248
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 249
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 250
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 251
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 252
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 253
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 254
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 255
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 256
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 257
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 258
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 259
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 260
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 261
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 262
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), mother(O, Alter), male(Alter).
;; 263
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), mother(L, O), father(O, Alter), male(Alter).
;; 264
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), mother(O, Alter), male(Alter).
;; 265
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(L, K), gender(M, A), gender(N, K), not(equal(M, N)), father(L, O), father(O, Alter), male(Alter).
;; 266
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 267
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 268
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 269
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).
;; 270
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), mother(L, Alter), male(Alter).
;; 271
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:0, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), mother(I, L), father(L, Alter), male(Alter).
;; 272
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), mother(L, Alter), male(Alter).
;; 273
%jichimacu:2, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1, parents:1, parents:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(I, H), gender(J, A), gender(K, H), not(equal(J, K)), father(I, L), father(L, Alter), male(Alter).


jicoyumu(Alter, Ego) :-  wife(A, Ego), sibling(Alter, A), male(Alter).
                     |   male(Ego), sibling(A, Ego), husband(Alter, A).
{"SisHu_WiBro"}
;; 0
%jicoyumu:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%jicoyumu:1, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), husband(Alter, C).


jitebuco(Alter, Ego) :-  husband(A, Ego), sibling(B, A), wife(Alter, B).
                     |  [ext],  husband(A, Ego), parallel_gen[aux]10(B, A), wife(Alter, B).
{"HuBroWi_HuFaBroSoWi_HuFaHbroSoWi_HuHbroWi_HuMoHsisSoWi_HuMoSisSoWi_HuStfaBroSoWi_HuStmoSisSoWi"}
;; 0
%jitebuco:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Alter, D).
;; 1
%jitebuco:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), wife(Alter, D).
;; 2
%jitebuco:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 3
%jitebuco:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {HuMoHsisSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 4
%jitebuco:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {HuMoHsisSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 5
%jitebuco:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 6
%jitebuco:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {HuFaHbroSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 7
%jitebuco:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {HuFaHbroSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 8
%jitebuco:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=4, Star=0,  {HuHbroWi}  
[ext], [ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 9
%jitebuco:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=4, Star=0,  {HuHbroWi}  
[ext], [ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 10
%jitebuco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {HuStmoSisSoWi}  
[ext], [ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).
;; 11
%jitebuco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {HuStfaBroSoWi}  
[ext], [ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).


jitebucu(Alter, Ego) :-  wife(A, Ego), sibling(B, A), husband(Alter, B).
                     |  [ext],  wife(A, Ego), parallel_gen[aux]10(B, A), husband(Alter, B).
{"WiFaBroDaHu_WiFaHbroDaHu_WiHsisHu_WiMoHsisDaHu_WiMoSisDaHu_WiSisHu_WiStfaBroDaHu_WiStmoSisDaHu"}
;; 0
%jitebucu:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Alter, D).
;; 1
%jitebucu:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), husband(Alter, D).
;; 2
%jitebucu:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 3
%jitebucu:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {WiMoHsisDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 4
%jitebucu:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {WiMoHsisDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 5
%jitebucu:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 6
%jitebucu:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {WiFaHbroDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 7
%jitebucu:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {WiFaHbroDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 8
%jitebucu:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=4, Star=0,  {WiHsisHu}  
[ext], [ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 9
%jitebucu:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=4, Star=0,  {WiHsisHu}  
[ext], [ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 10
%jitebucu:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {WiStmoSisDaHu}  
[ext], [ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 11
%jitebucu:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {WiStfaBroDaHu}  
[ext], [ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).


jiwemo(Alter, Ego) :-  husband(A, Ego), sibling(Alter, A), female(Alter).
                   |   female(Ego), sibling(A, Ego), wife(Alter, A).
{"BroWi_HuSis"}
;; 0
%jiwemo:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuSis}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%jiwemo:1, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), wife(Alter, C).


juai_co(Alter, Ego) :-  generation[aux]10gs(A, Ego), daughter(Alter, A).
                    |   generation[aux]10gs(A, Ego), children(B, A), daughter(Alter, B).
                    |   spice(A, Ego), generation[aux]10gs(B, A), daughter(Alter, B).
                    |   child_in_law[aux]10(Alter, Ego), female(Alter).
                    |  [ext],  parallel_gen[aux]10(Ego, Alter), elder(Ego, Alter), female(Alter).
                    |  [ext],  *sib_number(A, Ego), *sib_number(A, B), not(equal(Ego, B)), daughter(Alter, B), not(generation[aux]10(B, Ego)).
{"**Da_BroDa_BroDaDa_BroSoDa_DaHuFaBroDa_DaHuFaSisDa_DaHuMoBroDa_DaHuMoSisDa_DaHuSis_FaBroDa_FaBroDaDa_FaBroDaDaDa_FaBroDaSoDa_FaBroSoDa_FaBroSoDaDa_FaBroSoSoDa_FaBroStda_FaHbroDa_FaHbroStda_FaSisDaDa_FaSisDaDaDa_FaSisDaSoDa_FaSisSoDa_FaSisSoDaDa_FaSisSoSoDa_Hsis_HuBroDa_HuFaBroDaDa_HuFaBroSoDa_HuFaSisDaDa_HuFaSisSoDa_HuMoBroDaDa_HuMoBroSoDa_HuMoSisDaDa_HuMoSisSoDa_HuSisDa_MoBroDaDa_MoBroDaDaDa_MoBroDaSoDa_MoBroSoDa_MoBroSoDaDa_MoBroSoSoDa_MoHsisDa_MoHsisStda_MoSisDa_MoSisDaDa_MoSisDaDaDa_MoSisDaSoDa_MoSisSoDa_MoSisSoDaDa_MoSisSoSoDa_MoSisStda_Sis_SisDa_SisDaDa_SisSoDa_SoWi_SoWiFaBroDa_SoWiFaSisDa_SoWiMoBroDa_SoWiMoSisDa_SoWiSis_StdaHuFaBroDa_StdaHuFaSisDa_StdaHuMoBroDa_StdaHuMoSisDa_StdaHuSis_StsoWi_StsoWiFaBroDa_StsoWiFaSisDa_StsoWiMoBroDa_StsoWiMoSisDa_StsoWiSis_WiBroDa_WiFaBroDaDa_WiFaBroSoDa_WiFaSisDaDa_WiFaSisSoDa_WiMoBroDaDa_WiMoBroSoDa_WiMoSisDaDa_WiMoSisSoDa_WiSisDa"}
;; 0
%juai_co:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(Alter, C).
;; 1
%juai_co:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(Alter, C).
;; 2
%juai_co:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 3
%juai_co:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 4
%juai_co:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 5
%juai_co:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(Alter, E).
;; 6
%juai_co:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(Alter, E).
;; 7
%juai_co:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(Alter, E).
;; 8
%juai_co:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(Alter, E).
;; 9
%juai_co:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(Alter, E).
;; 10
%juai_co:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), daughter(Alter, D).
;; 11
%juai_co:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), daughter(Alter, D).
;; 12
%juai_co:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), daughter(Alter, D).
;; 13
%juai_co:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), daughter(Alter, D).
;; 14
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 15
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 16
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 17
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 18
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 19
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 20
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 21
%juai_co:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 22
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), daughter(Alter, F).
;; 23
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 24
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 25
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 26
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), daughter(Alter, F).
;; 27
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), daughter(Alter, F).
;; 28
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), daughter(Alter, F).
;; 29
%juai_co:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), daughter(Alter, F).
;; 30
%juai_co:2, spice:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroDa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 31
%juai_co:2, spice:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisDa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 32
%juai_co:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoDa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 33
%juai_co:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaDa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 34
%juai_co:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoDa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 35
%juai_co:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisDaDa}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 36
%juai_co:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoDa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 37
%juai_co:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroDaDa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 38
%juai_co:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoDa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 39
%juai_co:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaDa}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 40
%juai_co:2, spice:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroDa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 41
%juai_co:2, spice:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisDa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 42
%juai_co:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoDa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 43
%juai_co:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaDa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 44
%juai_co:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoDa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 45
%juai_co:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaDa}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 46
%juai_co:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoDa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 47
%juai_co:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaDa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 48
%juai_co:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoDa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 49
%juai_co:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaDa}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 50
%juai_co:3, child_in_law[aux]10:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {SoWi}  
 child(A, Ego), spouse(Alter, A), female(Alter).
;; 51
%juai_co:3, child_in_law[aux]10:1, spice:0%
 Lvl=-1,  PC=2, S=3, Star=0,  {StsoWi}  
[ext],  husband(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C), female(Alter).
;; 52
%juai_co:3, child_in_law[aux]10:1, spice:1%
 Lvl=-1,  PC=2, S=3, Star=0,  {StsoWi}  
[ext],  wife(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C), female(Alter).
;; 53
%juai_co:3, child_in_law[aux]10:2, children:0, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SoWiSis}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 54
%juai_co:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiMoBroDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 55
%juai_co:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiMoSisDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 56
%juai_co:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiFaBroDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 57
%juai_co:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiFaSisDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 58
%juai_co:3, child_in_law[aux]10:2, children:1, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {DaHuSis}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 59
%juai_co:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuMoBroDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 60
%juai_co:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuMoSisDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 61
%juai_co:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuFaBroDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 62
%juai_co:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuFaSisDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 63
%juai_co:3, child_in_law[aux]10:3, children:0, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {StsoWiSis}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 64
%juai_co:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiMoBroDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 65
%juai_co:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiMoSisDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 66
%juai_co:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiFaBroDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 67
%juai_co:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiFaSisDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 68
%juai_co:3, child_in_law[aux]10:3, children:1, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {StdaHuSis}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 69
%juai_co:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuMoBroDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 70
%juai_co:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuMoSisDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 71
%juai_co:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuFaBroDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 72
%juai_co:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuFaSisDa}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 73
%juai_co:4, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  mother(A, Alter), father(B, Alter), child(Ego, A), child(Ego, B), not(equal(Ego, Alter)), gender(C, Ego), gender(C, Alter), elder(Ego, Alter), female(Alter).
;; 74
%juai_co:4, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Ego, D), gender(F, Ego), gender(F, Alter), elder(Ego, Alter), female(Alter).
;; 75
%juai_co:4, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext], [ext],  mother(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), female(Alter).
;; 76
%juai_co:4, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext], [ext],  mother(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), female(Alter).
;; 77
%juai_co:4, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext], [ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Ego, D), gender(F, Ego), gender(F, Alter), elder(Ego, Alter), female(Alter).
;; 78
%juai_co:4, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext], [ext],  father(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), female(Alter).
;; 79
%juai_co:4, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext], [ext],  father(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), female(Alter).
;; 80
%juai_co:4, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), female(Alter).
;; 81
%juai_co:4, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), female(Alter).
;; 82
%juai_co:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoSisStda}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Ego, F), gender(H, Ego), gender(H, Alter), elder(Ego, Alter), female(Alter).
;; 83
%juai_co:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStda}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), female(Alter).
;; 84
%juai_co:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStda}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), female(Alter).
;; 85
%juai_co:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaBroStda}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Ego, F), gender(H, Ego), gender(H, Alter), elder(Ego, Alter), female(Alter).
;; 86
%juai_co:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStda}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), female(Alter).
;; 87
%juai_co:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStda}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), female(Alter).
;; 88
%juai_co:5, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=-1,  PC=1, S=0, Star=2,  {**Da}  
[ext],  *sib_number(A, Ego), *sib_number(A, B), not(equal(Ego, B)), daughter(Alter, B), not(mother(C, Ego), father(D, Ego), child(B, C), child(B, D), not(equal(B, Ego))), not(mother(E, Ego), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(B, H)), not(mother(E, Ego), mother(I, E), father(J, E), child(H, I), child(H, J), not(equal(H, E)), female(H), child(B, H)), not(mother(E, Ego), mother(K, E), mother(L, K), father(M, K), child(N, L), child(N, M), not(equal(N, K)), male(N), son(H, N), child(B, H)), not(mother(E, Ego), mother(K, E), mother(L, K), father(M, K), child(N, L), child(N, M), not(equal(N, K)), male(N), daughter(H, N), child(B, H)), not(mother(E, Ego), mother(K, E), mother(O, K), father(P, K), child(N, O), child(N, P), not(equal(N, K)), female(N), son(H, N), child(B, H)), not(mother(E, Ego), mother(K, E), mother(O, K), father(P, K), child(N, O), child(N, P), not(equal(N, K)), female(N), daughter(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(Q, K), father(R, K), child(N, Q), child(N, R), not(equal(N, K)), male(N), son(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(Q, K), father(R, K), child(N, Q), child(N, R), not(equal(N, K)), male(N), daughter(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(S, K), father(T, K), child(N, S), child(N, T), not(equal(N, K)), female(N), son(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(S, K), father(T, K), child(N, S), child(N, T), not(equal(N, K)), female(N), daughter(H, N), child(B, H)), not(father(E, Ego), mother(U, E), father(V, E), child(H, U), child(H, V), not(equal(H, E)), male(H), child(B, H)), not(father(E, Ego), mother(W, E), father(X, E), child(H, W), child(H, X), not(equal(H, E)), female(H), child(B, H)), not(father(E, Ego), mother(Y, E), mother(Z, Y), father(AA, Y), child(BB, Z), child(BB, AA), not(equal(BB, Y)), male(BB), son(H, BB), child(B, H)), not(father(E, Ego), mother(Y, E), mother(Z, Y), father(AA, Y), child(BB, Z), child(BB, AA), not(equal(BB, Y)), male(BB), daughter(H, BB), child(B, H)), not(father(E, Ego), mother(Y, E), mother(CC, Y), father(DD, Y), child(BB, CC), child(BB, DD), not(equal(BB, Y)), female(BB), son(H, BB), child(B, H)), not(father(E, Ego), mother(Y, E), mother(CC, Y), father(DD, Y), child(BB, CC), child(BB, DD), not(equal(BB, Y)), female(BB), daughter(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(EE, Y), father(FF, Y), child(BB, EE), child(BB, FF), not(equal(BB, Y)), male(BB), son(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(EE, Y), father(FF, Y), child(BB, EE), child(BB, FF), not(equal(BB, Y)), male(BB), daughter(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(GG, Y), father(HH, Y), child(BB, GG), child(BB, HH), not(equal(BB, Y)), female(BB), son(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(GG, Y), father(HH, Y), child(BB, GG), child(BB, HH), not(equal(BB, Y)), female(BB), daughter(H, BB), child(B, H)).


juai_yo(Alter, Ego) :-  generation[aux]10gs(A, Ego), son(Alter, A).
                    |   generation[aux]10gs(A, Ego), children(B, A), son(Alter, B).
                    |   spice(A, Ego), generation[aux]10gs(B, A), son(Alter, B).
                    |   child_in_law[aux]10(Alter, Ego), male(Alter).
                    |  [ext],  parallel_gen[aux]10(Ego, Alter), elder(Ego, Alter), male(Alter).
                    |  [ext],  *sib_number(A, Ego), *sib_number(A, B), not(equal(Ego, B)), son(Alter, B), not(generation[aux]10(B, Ego)).
{"**So_Bro_BroDaSo_BroSo_BroSoSo_DaHu_DaHuBro_DaHuFaBroSo_DaHuFaSisSo_DaHuMoBroSo_DaHuMoSisSo_FaBroDaDaSo_FaBroDaSo_FaBroDaSoSo_FaBroSo_FaBroSoDaSo_FaBroSoSo_FaBroSoSoSo_FaBroStso_FaHbroSo_FaHbroStso_FaSisDaDaSo_FaSisDaSo_FaSisDaSoSo_FaSisSoDaSo_FaSisSoSo_FaSisSoSoSo_Hbro_HuBroSo_HuFaBroDaSo_HuFaBroSoSo_HuFaSisDaSo_HuFaSisSoSo_HuMoBroDaSo_HuMoBroSoSo_HuMoSisDaSo_HuMoSisSoSo_HuSisSo_MoBroDaDaSo_MoBroDaSo_MoBroDaSoSo_MoBroSoDaSo_MoBroSoSo_MoBroSoSoSo_MoHsisSo_MoHsisStso_MoSisDaDaSo_MoSisDaSo_MoSisDaSoSo_MoSisSo_MoSisSoDaSo_MoSisSoSo_MoSisSoSoSo_MoSisStso_SisDaSo_SisSo_SisSoSo_SoWiBro_SoWiFaBroSo_SoWiFaSisSo_SoWiMoBroSo_SoWiMoSisSo_StdaHu_StdaHuBro_StdaHuFaBroSo_StdaHuFaSisSo_StdaHuMoBroSo_StdaHuMoSisSo_StsoWiBro_StsoWiFaBroSo_StsoWiFaSisSo_StsoWiMoBroSo_StsoWiMoSisSo_WiBroSo_WiFaBroDaSo_WiFaBroSoSo_WiFaSisDaSo_WiFaSisSoSo_WiMoBroDaSo_WiMoBroSoSo_WiMoSisDaSo_WiMoSisSoSo_WiSisSo"}
;; 0
%juai_yo:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(Alter, C).
;; 1
%juai_yo:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(Alter, C).
;; 2
%juai_yo:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 3
%juai_yo:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 4
%juai_yo:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 5
%juai_yo:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(Alter, E).
;; 6
%juai_yo:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(Alter, E).
;; 7
%juai_yo:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(Alter, E).
;; 8
%juai_yo:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(Alter, E).
;; 9
%juai_yo:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(Alter, E).
;; 10
%juai_yo:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), son(Alter, D).
;; 11
%juai_yo:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), son(Alter, D).
;; 12
%juai_yo:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), son(Alter, D).
;; 13
%juai_yo:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
 mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), son(Alter, D).
;; 14
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 15
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 16
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 17
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 18
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 19
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(Alter, F).
;; 20
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(Alter, F).
;; 21
%juai_yo:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 22
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), son(F, E), son(Alter, F).
;; 23
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), daughter(F, E), son(Alter, F).
;; 24
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), son(F, E), son(Alter, F).
;; 25
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 26
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), son(F, E), son(Alter, F).
;; 27
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), daughter(F, E), son(Alter, F).
;; 28
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), son(F, E), son(Alter, F).
;; 29
%juai_yo:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), daughter(F, E), son(Alter, F).
;; 30
%juai_yo:2, spice:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroSo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 31
%juai_yo:2, spice:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisSo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 32
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoSo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 33
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaSo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 34
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoSo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 35
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisDaSo}  
 husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 36
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoSo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 37
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroDaSo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 38
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoSo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 39
%juai_yo:2, spice:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaSo}  
 husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 40
%juai_yo:2, spice:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroSo}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 41
%juai_yo:2, spice:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisSo}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 42
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoSo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 43
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaSo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 44
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoSo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 45
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaSo}  
 wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 46
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoSo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 47
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaSo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 48
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoSo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 49
%juai_yo:2, spice:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaSo}  
 wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 50
%juai_yo:3, child_in_law[aux]10:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {DaHu}  
 child(A, Ego), spouse(Alter, A), male(Alter).
;; 51
%juai_yo:3, child_in_law[aux]10:1, spice:0%
 Lvl=-1,  PC=2, S=3, Star=0,  {StdaHu}  
[ext],  husband(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C), male(Alter).
;; 52
%juai_yo:3, child_in_law[aux]10:1, spice:1%
 Lvl=-1,  PC=2, S=3, Star=0,  {StdaHu}  
[ext],  wife(A, Ego), spouse(B, A), not(equal(Ego, B)), child(C, B), child(C, A), spouse(Alter, C), male(Alter).
;; 53
%juai_yo:3, child_in_law[aux]10:2, children:0, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SoWiBro}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 54
%juai_yo:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiMoBroSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 55
%juai_yo:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiMoSisSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 56
%juai_yo:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiFaBroSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 57
%juai_yo:3, child_in_law[aux]10:2, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {SoWiFaSisSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 58
%juai_yo:3, child_in_law[aux]10:2, children:1, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {DaHuBro}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 59
%juai_yo:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuMoBroSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 60
%juai_yo:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuMoSisSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 61
%juai_yo:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuFaBroSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 62
%juai_yo:3, child_in_law[aux]10:2, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {DaHuFaSisSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 63
%juai_yo:3, child_in_law[aux]10:3, children:0, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {StsoWiBro}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 64
%juai_yo:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiMoBroSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 65
%juai_yo:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiMoSisSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 66
%juai_yo:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiFaBroSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 67
%juai_yo:3, child_in_law[aux]10:3, children:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StsoWiFaSisSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 68
%juai_yo:3, child_in_law[aux]10:3, children:1, generation[aux]10:0, sibling:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {StdaHuBro}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 69
%juai_yo:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuMoBroSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 70
%juai_yo:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuMoSisSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 71
%juai_yo:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuFaBroSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 72
%juai_yo:3, child_in_law[aux]10:3, children:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {StdaHuFaSisSo}  
[ext],  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(C, B), child(C, A), spouse(D, C), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 73
%juai_yo:4, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  mother(A, Alter), father(B, Alter), child(Ego, A), child(Ego, B), not(equal(Ego, Alter)), gender(C, Ego), gender(C, Alter), elder(Ego, Alter), male(Alter).
;; 74
%juai_yo:4, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Ego, D), gender(F, Ego), gender(F, Alter), elder(Ego, Alter), male(Alter).
;; 75
%juai_yo:4, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext], [ext],  mother(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), male(Alter).
;; 76
%juai_yo:4, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext], [ext],  mother(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), male(Alter).
;; 77
%juai_yo:4, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext], [ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Ego, D), gender(F, Ego), gender(F, Alter), elder(Ego, Alter), male(Alter).
;; 78
%juai_yo:4, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext], [ext],  father(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), male(Alter).
;; 79
%juai_yo:4, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext], [ext],  father(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Ego, E), gender(G, Ego), gender(G, Alter), elder(Ego, Alter), male(Alter).
;; 80
%juai_yo:4, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), male(Alter).
;; 81
%juai_yo:4, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), male(Alter).
;; 82
%juai_yo:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoSisStso}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Ego, F), gender(H, Ego), gender(H, Alter), elder(Ego, Alter), male(Alter).
;; 83
%juai_yo:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStso}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), male(Alter).
;; 84
%juai_yo:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStso}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), male(Alter).
;; 85
%juai_yo:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaBroStso}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Ego, F), gender(H, Ego), gender(H, Alter), elder(Ego, Alter), male(Alter).
;; 86
%juai_yo:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStso}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), male(Alter).
;; 87
%juai_yo:4, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStso}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Ego, G), gender(I, Ego), gender(I, Alter), elder(Ego, Alter), male(Alter).
;; 88
%juai_yo:5, (not: generation[aux]10:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=-1,  PC=1, S=0, Star=2,  {**So}  
[ext],  *sib_number(A, Ego), *sib_number(A, B), not(equal(Ego, B)), son(Alter, B), not(mother(C, Ego), father(D, Ego), child(B, C), child(B, D), not(equal(B, Ego))), not(mother(E, Ego), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(B, H)), not(mother(E, Ego), mother(I, E), father(J, E), child(H, I), child(H, J), not(equal(H, E)), female(H), child(B, H)), not(mother(E, Ego), mother(K, E), mother(L, K), father(M, K), child(N, L), child(N, M), not(equal(N, K)), male(N), son(H, N), child(B, H)), not(mother(E, Ego), mother(K, E), mother(L, K), father(M, K), child(N, L), child(N, M), not(equal(N, K)), male(N), daughter(H, N), child(B, H)), not(mother(E, Ego), mother(K, E), mother(O, K), father(P, K), child(N, O), child(N, P), not(equal(N, K)), female(N), son(H, N), child(B, H)), not(mother(E, Ego), mother(K, E), mother(O, K), father(P, K), child(N, O), child(N, P), not(equal(N, K)), female(N), daughter(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(Q, K), father(R, K), child(N, Q), child(N, R), not(equal(N, K)), male(N), son(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(Q, K), father(R, K), child(N, Q), child(N, R), not(equal(N, K)), male(N), daughter(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(S, K), father(T, K), child(N, S), child(N, T), not(equal(N, K)), female(N), son(H, N), child(B, H)), not(mother(E, Ego), father(K, E), mother(S, K), father(T, K), child(N, S), child(N, T), not(equal(N, K)), female(N), daughter(H, N), child(B, H)), not(father(E, Ego), mother(U, E), father(V, E), child(H, U), child(H, V), not(equal(H, E)), male(H), child(B, H)), not(father(E, Ego), mother(W, E), father(X, E), child(H, W), child(H, X), not(equal(H, E)), female(H), child(B, H)), not(father(E, Ego), mother(Y, E), mother(Z, Y), father(AA, Y), child(BB, Z), child(BB, AA), not(equal(BB, Y)), male(BB), son(H, BB), child(B, H)), not(father(E, Ego), mother(Y, E), mother(Z, Y), father(AA, Y), child(BB, Z), child(BB, AA), not(equal(BB, Y)), male(BB), daughter(H, BB), child(B, H)), not(father(E, Ego), mother(Y, E), mother(CC, Y), father(DD, Y), child(BB, CC), child(BB, DD), not(equal(BB, Y)), female(BB), son(H, BB), child(B, H)), not(father(E, Ego), mother(Y, E), mother(CC, Y), father(DD, Y), child(BB, CC), child(BB, DD), not(equal(BB, Y)), female(BB), daughter(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(EE, Y), father(FF, Y), child(BB, EE), child(BB, FF), not(equal(BB, Y)), male(BB), son(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(EE, Y), father(FF, Y), child(BB, EE), child(BB, FF), not(equal(BB, Y)), male(BB), daughter(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(GG, Y), father(HH, Y), child(BB, GG), child(BB, HH), not(equal(BB, Y)), female(BB), son(H, BB), child(B, H)), not(father(E, Ego), father(Y, E), mother(GG, Y), father(HH, Y), child(BB, GG), child(BB, HH), not(equal(BB, Y)), female(BB), daughter(H, BB), child(B, H)).


neco(Alter, Ego) :-  grandparent[aux]10es(Alter, Ego), female(Alter).
{"FaFaBroWi_FaFaFaBroDa_FaFaFaBroSoWi_FaFaFaBroWi_FaFaFaFaBroDa_FaFaFaFaSisDa_FaFaFaMo_FaFaFaMoBroDa_FaFaFaMoSisDa_FaFaFaSis_FaFaFaSisDa_FaFaFaSisSoWi_FaFaMo_FaFaMoBroDa_FaFaMoBroSoWi_FaFaMoBroWi_FaFaMoFaBroDa_FaFaMoFaSisDa_FaFaMoMo_FaFaMoMoBroDa_FaFaMoMoSisDa_FaFaMoSis_FaFaMoSisDa_FaFaMoSisSoWi_FaFaSis_FaMo_FaMoBroWi_FaMoFaBroDa_FaMoFaBroSoWi_FaMoFaBroWi_FaMoFaFaBroDa_FaMoFaFaSisDa_FaMoFaMo_FaMoFaMoBroDa_FaMoFaMoSisDa_FaMoFaSis_FaMoFaSisDa_FaMoFaSisSoWi_FaMoMo_FaMoMoBroDa_FaMoMoBroSoWi_FaMoMoBroWi_FaMoMoFaBroDa_FaMoMoFaSisDa_FaMoMoMo_FaMoMoMoBroDa_FaMoMoMoSisDa_FaMoMoSis_FaMoMoSisDa_FaMoMoSisSoWi_FaMoSis_HuFaFaBroWi_HuFaFaFaBroDa_HuFaFaFaBroWi_HuFaFaFaMo_HuFaFaFaSis_HuFaFaFaSisDa_HuFaFaMo_HuFaFaMoBroDa_HuFaFaMoBroWi_HuFaFaMoMo_HuFaFaMoSis_HuFaFaMoSisDa_HuFaFaSis_HuFaMo_HuFaMoBroWi_HuFaMoFaBroDa_HuFaMoFaBroWi_HuFaMoFaMo_HuFaMoFaSis_HuFaMoFaSisDa_HuFaMoMo_HuFaMoMoBroDa_HuFaMoMoBroWi_HuFaMoMoMo_HuFaMoMoSis_HuFaMoMoSisDa_HuFaMoSis_HuMoFaBroWi_HuMoFaFaBroDa_HuMoFaFaBroWi_HuMoFaFaMo_HuMoFaFaSis_HuMoFaFaSisDa_HuMoFaMo_HuMoFaMoBroDa_HuMoFaMoBroWi_HuMoFaMoMo_HuMoFaMoSis_HuMoFaMoSisDa_HuMoFaSis_HuMoMo_HuMoMoBroWi_HuMoMoFaBroDa_HuMoMoFaBroWi_HuMoMoFaMo_HuMoMoFaSis_HuMoMoFaSisDa_HuMoMoMo_HuMoMoMoBroDa_HuMoMoMoBroWi_HuMoMoMoMo_HuMoMoMoSis_HuMoMoMoSisDa_HuMoMoSis_MoFaBroWi_MoFaFaBroDa_MoFaFaBroSoWi_MoFaFaBroWi_MoFaFaFaBroDa_MoFaFaFaSisDa_MoFaFaMo_MoFaFaMoBroDa_MoFaFaMoSisDa_MoFaFaSis_MoFaFaSisDa_MoFaFaSisSoWi_MoFaMo_MoFaMoBroDa_MoFaMoBroSoWi_MoFaMoBroWi_MoFaMoFaBroDa_MoFaMoFaSisDa_MoFaMoMo_MoFaMoMoBroDa_MoFaMoMoSisDa_MoFaMoSis_MoFaMoSisDa_MoFaMoSisSoWi_MoFaSis_MoMo_MoMoBroWi_MoMoFaBroDa_MoMoFaBroSoWi_MoMoFaBroWi_MoMoFaFaBroDa_MoMoFaFaSisDa_MoMoFaMo_MoMoFaMoBroDa_MoMoFaMoSisDa_MoMoFaSis_MoMoFaSisDa_MoMoFaSisSoWi_MoMoMo_MoMoMoBroDa_MoMoMoBroSoWi_MoMoMoBroWi_MoMoMoFaBroDa_MoMoMoFaSisDa_MoMoMoMo_MoMoMoMoBroDa_MoMoMoMoSisDa_MoMoMoSis_MoMoMoSisDa_MoMoMoSisSoWi_MoMoSis_WiFaFaBroWi_WiFaFaFaBroDa_WiFaFaFaBroWi_WiFaFaFaMo_WiFaFaFaSis_WiFaFaFaSisDa_WiFaFaMo_WiFaFaMoBroDa_WiFaFaMoBroWi_WiFaFaMoMo_WiFaFaMoSis_WiFaFaMoSisDa_WiFaFaSis_WiFaMo_WiFaMoBroWi_WiFaMoFaBroDa_WiFaMoFaBroWi_WiFaMoFaMo_WiFaMoFaSis_WiFaMoFaSisDa_WiFaMoMo_WiFaMoMoBroDa_WiFaMoMoBroWi_WiFaMoMoMo_WiFaMoMoSis_WiFaMoMoSisDa_WiFaMoSis_WiMoFaBroWi_WiMoFaFaBroDa_WiMoFaFaBroWi_WiMoFaFaMo_WiMoFaFaSis_WiMoFaFaSisDa_WiMoFaMo_WiMoFaMoBroDa_WiMoFaMoBroWi_WiMoFaMoMo_WiMoFaMoSis_WiMoFaMoSisDa_WiMoFaSis_WiMoMo_WiMoMoBroWi_WiMoMoFaBroDa_WiMoMoFaBroWi_WiMoMoFaMo_WiMoMoFaSis_WiMoMoFaSisDa_WiMoMoMo_WiMoMoMoBroDa_WiMoMoMoBroWi_WiMoMoMoMo_WiMoMoMoSis_WiMoMoMoSisDa_WiMoMoSis"}
;; 0
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoMo}  
 mother(A, Ego), parent(Alter, A), female(Alter).
;; 1
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaMo}  
 father(A, Ego), parent(Alter, A), female(Alter).
;; 2
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 3
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 4
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 5
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 6
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 7
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoMo}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 8
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 9
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 10
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 11
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 12
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 13
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 14
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 15
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 16
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 17
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 18
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 19
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 20
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 21
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 22
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 23
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 24
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 25
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaMo}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 26
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 27
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 28
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 29
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 30
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 31
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 32
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaSis}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 33
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 34
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 35
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 36
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 37
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 38
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 39
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 40
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 41
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 42
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 43
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoMo}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 44
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 45
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 46
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 47
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 48
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 49
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 50
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaSis}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 51
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 52
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 53
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 54
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 55
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 56
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 57
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 58
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 59
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 60
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 61
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaMo}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 62
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 63
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 64
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 65
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 66
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 67
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 68
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaSis}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 69
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 70
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 71
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 72
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 73
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 74
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 75
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 76
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 77
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 78
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 79
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoMoMo}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 80
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 81
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 82
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoFaBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 83
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 84
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 85
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoBroSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 86
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoSisSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 87
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaBroSoWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 88
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaSisSoWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 89
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoFaMo}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 90
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaMoBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 91
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 92
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaFaBroWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 93
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 94
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 95
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoBroSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 96
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 97
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaBroSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 98
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaSisSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 99
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaMoMo}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 100
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 101
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 102
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoFaBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 103
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 104
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 105
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 106
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoSisSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 107
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 108
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaSisSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 109
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaFaMo}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 110
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaMoBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 111
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 112
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaFaBroWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 113
%neco:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 114
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoMo}  
 husband(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 115
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaMo}  
 husband(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 116
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 117
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 118
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 119
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 120
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 121
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 122
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 123
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 124
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 125
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 126
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 127
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 128
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 129
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 130
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 131
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 132
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMoSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 133
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 134
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 135
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 136
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 137
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 138
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 139
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 140
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 141
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 142
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 143
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 144
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 145
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 146
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 147
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoBroDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 148
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoSisDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 149
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaBroDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 150
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaSisDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 151
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 152
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMoSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 153
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 154
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 155
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 156
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 157
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 158
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 159
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 160
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 161
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 162
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 163
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 164
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 165
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 166
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 167
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 168
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 169
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 170
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 171
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 172
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoFaBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 173
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 174
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 175
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 176
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 177
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaMoMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 178
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 179
%neco:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 180
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoMo}  
 wife(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 181
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaMo}  
 wife(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 182
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 183
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 184
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 185
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 186
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 187
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 188
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 189
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 190
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 191
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 192
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 193
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 194
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 195
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 196
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 197
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 198
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMoSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 199
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 200
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 201
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 202
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 203
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 204
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 205
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 206
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 207
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 208
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 209
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 210
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 211
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 212
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 213
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoBroDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 214
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoSisDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 215
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaBroDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 216
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaSisDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 217
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 218
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMoSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 219
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 220
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 221
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 222
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 223
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 224
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 225
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 226
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 227
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 228
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 229
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 230
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 231
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 232
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 233
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 234
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 235
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 236
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 237
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 238
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoFaBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 239
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 240
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 241
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 242
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 243
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaMoMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 244
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 245
%neco:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).


necuyo(Alter, Ego) :-  grandparent[aux]10es(Alter, Ego), male(Alter).
{"FaFa_FaFaBro_FaFaFa_FaFaFaBro_FaFaFaBroDaHu_FaFaFaBroSo_FaFaFaFa_FaFaFaFaBroSo_FaFaFaFaSisSo_FaFaFaMoBroSo_FaFaFaMoSisSo_FaFaFaSisDaHu_FaFaFaSisHu_FaFaFaSisSo_FaFaMoBro_FaFaMoBroDaHu_FaFaMoBroSo_FaFaMoFa_FaFaMoFaBroSo_FaFaMoFaSisSo_FaFaMoMoBroSo_FaFaMoMoSisSo_FaFaMoSisDaHu_FaFaMoSisHu_FaFaMoSisSo_FaFaSisHu_FaMoBro_FaMoFa_FaMoFaBro_FaMoFaBroDaHu_FaMoFaBroSo_FaMoFaFa_FaMoFaFaBroSo_FaMoFaFaSisSo_FaMoFaMoBroSo_FaMoFaMoSisSo_FaMoFaSisDaHu_FaMoFaSisHu_FaMoFaSisSo_FaMoMoBro_FaMoMoBroDaHu_FaMoMoBroSo_FaMoMoFa_FaMoMoFaBroSo_FaMoMoFaSisSo_FaMoMoMoBroSo_FaMoMoMoSisSo_FaMoMoSisDaHu_FaMoMoSisHu_FaMoMoSisSo_FaMoSisHu_HuFaFa_HuFaFaBro_HuFaFaFa_HuFaFaFaBro_HuFaFaFaBroSo_HuFaFaFaFa_HuFaFaFaSisHu_HuFaFaFaSisSo_HuFaFaMoBro_HuFaFaMoBroSo_HuFaFaMoFa_HuFaFaMoSisHu_HuFaFaMoSisSo_HuFaFaSisHu_HuFaMoBro_HuFaMoFa_HuFaMoFaBro_HuFaMoFaBroSo_HuFaMoFaFa_HuFaMoFaSisHu_HuFaMoFaSisSo_HuFaMoMoBro_HuFaMoMoBroSo_HuFaMoMoFa_HuFaMoMoSisHu_HuFaMoMoSisSo_HuFaMoSisHu_HuMoFa_HuMoFaBro_HuMoFaFa_HuMoFaFaBro_HuMoFaFaBroSo_HuMoFaFaFa_HuMoFaFaSisHu_HuMoFaFaSisSo_HuMoFaMoBro_HuMoFaMoBroSo_HuMoFaMoFa_HuMoFaMoSisHu_HuMoFaMoSisSo_HuMoFaSisHu_HuMoMoBro_HuMoMoFa_HuMoMoFaBro_HuMoMoFaBroSo_HuMoMoFaFa_HuMoMoFaSisHu_HuMoMoFaSisSo_HuMoMoMoBro_HuMoMoMoBroSo_HuMoMoMoFa_HuMoMoMoSisHu_HuMoMoMoSisSo_HuMoMoSisHu_MoFa_MoFaBro_MoFaFa_MoFaFaBro_MoFaFaBroDaHu_MoFaFaBroSo_MoFaFaFa_MoFaFaFaBroSo_MoFaFaFaSisSo_MoFaFaMoBroSo_MoFaFaMoSisSo_MoFaFaSisDaHu_MoFaFaSisHu_MoFaFaSisSo_MoFaMoBro_MoFaMoBroDaHu_MoFaMoBroSo_MoFaMoFa_MoFaMoFaBroSo_MoFaMoFaSisSo_MoFaMoMoBroSo_MoFaMoMoSisSo_MoFaMoSisDaHu_MoFaMoSisHu_MoFaMoSisSo_MoFaSisHu_MoMoBro_MoMoFa_MoMoFaBro_MoMoFaBroDaHu_MoMoFaBroSo_MoMoFaFa_MoMoFaFaBroSo_MoMoFaFaSisSo_MoMoFaMoBroSo_MoMoFaMoSisSo_MoMoFaSisDaHu_MoMoFaSisHu_MoMoFaSisSo_MoMoMoBro_MoMoMoBroDaHu_MoMoMoBroSo_MoMoMoFa_MoMoMoFaBroSo_MoMoMoFaSisSo_MoMoMoMoBroSo_MoMoMoMoSisSo_MoMoMoSisDaHu_MoMoMoSisHu_MoMoMoSisSo_MoMoSisHu_WiFaFa_WiFaFaBro_WiFaFaFa_WiFaFaFaBro_WiFaFaFaBroSo_WiFaFaFaFa_WiFaFaFaSisHu_WiFaFaFaSisSo_WiFaFaMoBro_WiFaFaMoBroSo_WiFaFaMoFa_WiFaFaMoSisHu_WiFaFaMoSisSo_WiFaFaSisHu_WiFaMoBro_WiFaMoFa_WiFaMoFaBro_WiFaMoFaBroSo_WiFaMoFaFa_WiFaMoFaSisHu_WiFaMoFaSisSo_WiFaMoMoBro_WiFaMoMoBroSo_WiFaMoMoFa_WiFaMoMoSisHu_WiFaMoMoSisSo_WiFaMoSisHu_WiMoFa_WiMoFaBro_WiMoFaFa_WiMoFaFaBro_WiMoFaFaBroSo_WiMoFaFaFa_WiMoFaFaSisHu_WiMoFaFaSisSo_WiMoFaMoBro_WiMoFaMoBroSo_WiMoFaMoFa_WiMoFaMoSisHu_WiMoFaMoSisSo_WiMoFaSisHu_WiMoMoBro_WiMoMoFa_WiMoMoFaBro_WiMoMoFaBroSo_WiMoMoFaFa_WiMoMoFaSisHu_WiMoMoFaSisSo_WiMoMoMoBro_WiMoMoMoBroSo_WiMoMoMoFa_WiMoMoMoSisHu_WiMoMoMoSisSo_WiMoMoSisHu"}
;; 0
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoFa}  
 mother(A, Ego), parent(Alter, A), male(Alter).
;; 1
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaFa}  
 father(A, Ego), parent(Alter, A), male(Alter).
;; 2
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 3
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 4
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 5
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 6
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 7
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoFa}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 8
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 9
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 10
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 11
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 12
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 13
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 14
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 15
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 16
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 17
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 18
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 19
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 20
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 21
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 22
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 23
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 24
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 25
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaFa}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 26
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 27
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 28
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 29
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 30
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 31
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 32
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaBro}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 33
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 34
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 35
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 36
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 37
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 38
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 39
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 40
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 41
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 42
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 43
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoFa}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 44
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 45
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 46
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 47
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 48
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 49
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 50
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaBro}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 51
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 52
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 53
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 54
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 55
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 56
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 57
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 58
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 59
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 60
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 61
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaFa}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 62
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 63
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 64
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 65
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 66
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 67
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 68
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaBro}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 69
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 70
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 71
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 72
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 73
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 74
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 75
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 76
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 77
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 78
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 79
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoMoFa}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 80
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 81
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 82
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoFaSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 83
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 84
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 85
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 86
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoSisDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 87
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 88
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaSisDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 89
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoFaFa}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 90
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaMoSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 91
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 92
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaFaSisHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 93
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 94
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 95
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoBroDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 96
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoSisDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 97
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaBroDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 98
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaSisDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 99
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaMoFa}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 100
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 101
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 102
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoFaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 103
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 104
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 105
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoBroDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 106
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoSisDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 107
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaBroDaHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 108
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaSisDaHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 109
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaFaFa}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 110
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaMoSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 111
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 112
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaFaSisHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 113
%necuyo:0, grandparent[aux]10es:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 114
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoFa}  
 husband(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 115
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaFa}  
 husband(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 116
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 117
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 118
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 119
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 120
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 121
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 122
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 123
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 124
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 125
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 126
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 127
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 128
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 129
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 130
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 131
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 132
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMoBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 133
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 134
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 135
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 136
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 137
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 138
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 139
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 140
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 141
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 142
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 143
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 144
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 145
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 146
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 147
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 148
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 149
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 150
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 151
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 152
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMoBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 153
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 154
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 155
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 156
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 157
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 158
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 159
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 160
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 161
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 162
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 163
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 164
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 165
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 166
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 167
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 168
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 169
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 170
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 171
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 172
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoFaSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 173
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 174
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 175
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 176
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 177
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaMoFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 178
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 179
%necuyo:0, grandparent[aux]10es:1, spice:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 180
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoFa}  
 wife(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 181
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaFa}  
 wife(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 182
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 183
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoBroSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 184
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoSisSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 185
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaBroSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 186
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaSisSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 187
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 188
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 189
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 190
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 191
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 192
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 193
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 194
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 195
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 196
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 197
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 198
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMoBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 199
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 200
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 201
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 202
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 203
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 204
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 205
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 206
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 207
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 208
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 209
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 210
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 211
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 212
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 213
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 214
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 215
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 216
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 217
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 218
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMoBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 219
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 220
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 221
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 222
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 223
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 224
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 225
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 226
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 227
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 228
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 229
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 230
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 231
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 232
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 233
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 234
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 235
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 236
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 237
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 238
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoFaSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 239
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 240
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 241
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 242
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 243
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaMoFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 244
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 245
%necuyo:0, grandparent[aux]10es:1, spice:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).


paco(Alter, Ego) :-  mother(A, Ego), parallel_gen[aux]10(A, Alter).
                 |  [ext],  father(A, Ego), parallel_gen[aux]10(A, B), wife(Alter, B).
{"FaBroWi_FaFaBroSoWi_FaFaBroStsoWi_FaFaHbroSoWi_FaFaHbroStsoWi_FaHbroWi_FaMoHsisSoWi_FaMoHsisStsoWi_FaMoSisSoWi_FaMoSisStsoWi_MoFaBroDa_MoFaBroStda_MoFaHbroDa_MoHsis_MoMoHsisDa_MoMoSisDa_MoMoSisStda_MoSis"}
;; 0
%paco:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
 mother(A, Ego), mother(B, Alter), father(C, Alter), child(A, B), child(A, C), not(equal(A, Alter)), gender(D, A), gender(D, Alter).
;; 1
%paco:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisDa}  
[ext],  mother(A, Ego), mother(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 2
%paco:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {MoMoHsisDa}  
[ext], [ext],  mother(A, Ego), mother(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 3
%paco:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {MoMoHsisDa}  
[ext], [ext],  mother(A, Ego), mother(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 4
%paco:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroDa}  
[ext],  mother(A, Ego), father(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 5
%paco:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {MoFaHbroDa}  
[ext], [ext],  mother(A, Ego), father(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 6
%paco:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {MoFaHbroDa}  
[ext], [ext],  mother(A, Ego), father(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 7
%paco:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=4, S=2, Star=0,  {MoHsis}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 8
%paco:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=4, S=2, Star=0,  {MoHsis}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 9
%paco:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoSisStda}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 10
%paco:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaBroStda}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 11
%paco:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, A), gender(E, C), wife(Alter, C).
;; 12
%paco:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), wife(Alter, C).
;; 13
%paco:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 14
%paco:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 15
%paco:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext], [ext],  father(A, Ego), father(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), wife(Alter, C).
;; 16
%paco:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext], [ext],  father(A, Ego), father(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 17
%paco:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext], [ext],  father(A, Ego), father(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 18
%paco:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), wife(Alter, E).
;; 19
%paco:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), wife(Alter, E).
;; 20
%paco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaMoSisStsoWi}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), wife(Alter, E).
;; 21
%paco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {FaMoHsisStsoWi}  
[ext], [ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).
;; 22
%paco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {FaMoHsisStsoWi}  
[ext], [ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).
;; 23
%paco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaFaBroStsoWi}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), wife(Alter, E).
;; 24
%paco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {FaFaHbroStsoWi}  
[ext], [ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).
;; 25
%paco:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {FaFaHbroStsoWi}  
[ext], [ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).


pacu(Alter, Ego) :-  father(Alter, Ego).
{"Fa"}
;; 0
%pacu:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Fa}  
 father(Alter, Ego).


pacu_yo(Alter, Ego) :-  father(A, Ego), parallel_gen[aux]10(A, Alter).
                    |  [ext],  mother(A, Ego), parallel_gen[aux]10(A, B), husband(Alter, B).
{"FaBro_FaFaBroSo_FaFaBroStso_FaFaHbroSo_FaHbro_FaMoHsisSo_FaMoSisSo_FaMoSisStso_MoFaBroDaHu_MoFaBroStdaHu_MoFaHbroDaHu_MoFaHbroStdaHu_MoHsisHu_MoMoHsisDaHu_MoMoHsisStdaHu_MoMoSisDaHu_MoMoSisStdaHu_MoSisHu"}
;; 0
%pacu_yo:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
 father(A, Ego), mother(B, Alter), father(C, Alter), child(A, B), child(A, C), not(equal(A, Alter)), gender(D, A), gender(D, Alter).
;; 1
%pacu_yo:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
[ext],  father(A, Ego), mother(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 2
%pacu_yo:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {FaMoHsisSo}  
[ext], [ext],  father(A, Ego), mother(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 3
%pacu_yo:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {FaMoHsisSo}  
[ext], [ext],  father(A, Ego), mother(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 4
%pacu_yo:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
[ext],  father(A, Ego), father(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 5
%pacu_yo:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {FaFaHbroSo}  
[ext], [ext],  father(A, Ego), father(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 6
%pacu_yo:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {FaFaHbroSo}  
[ext], [ext],  father(A, Ego), father(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 7
%pacu_yo:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=4, S=2, Star=0,  {FaHbro}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 8
%pacu_yo:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=4, S=2, Star=0,  {FaHbro}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 9
%pacu_yo:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoSisStso}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 10
%pacu_yo:0, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaBroStso}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 11
%pacu_yo:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, A), gender(E, C), husband(Alter, C).
;; 12
%pacu_yo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), husband(Alter, C).
;; 13
%pacu_yo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 14
%pacu_yo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 15
%pacu_yo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), husband(Alter, C).
;; 16
%pacu_yo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 17
%pacu_yo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 18
%pacu_yo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), husband(Alter, E).
;; 19
%pacu_yo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), husband(Alter, E).
;; 20
%pacu_yo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoMoSisStdaHu}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), husband(Alter, E).
;; 21
%pacu_yo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {MoMoHsisStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).
;; 22
%pacu_yo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {MoMoHsisStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).
;; 23
%pacu_yo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoFaBroStdaHu}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), husband(Alter, E).
;; 24
%pacu_yo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {MoFaHbroStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).
;; 25
%pacu_yo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {MoFaHbroStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).


parajico(Alter, Ego) :-  grandparent[aux]10(Ego, Alter), male(Ego), female(Alter).
                     |   grandparent[aux]10(Ego, Alter), female(Ego), female(Alter).
{"BroDaDa_BroDaDaDa_BroDaDaSoWi_BroDaSoDa_BroDaSoSoWi_BroDaSoWi_BroSoDa_BroSoDaDa_BroSoDaSoWi_BroSoSoDa_BroSoSoSoWi_BroSoSoWi_DaDa_DaDaDa_DaDaDaDa_DaDaDaSoWi_DaDaSoDa_DaDaSoSoWi_DaDaSoWi_DaSoDa_DaSoDaDa_DaSoDaSoWi_DaSoSoDa_DaSoSoSoWi_DaSoSoWi_DaSoWi_FaBroDaDaDa_FaBroDaDaDaDa_FaBroDaDaSoDa_FaBroDaDaSoWi_FaBroDaSoDa_FaBroDaSoDaDa_FaBroDaSoSoDa_FaBroDaSoSoWi_FaBroSoDaDa_FaBroSoDaDaDa_FaBroSoDaSoDa_FaBroSoDaSoWi_FaBroSoSoDa_FaBroSoSoDaDa_FaBroSoSoSoDa_FaBroSoSoSoWi_FaSisDaDaDa_FaSisDaDaDaDa_FaSisDaDaSoDa_FaSisDaDaSoWi_FaSisDaSoDa_FaSisDaSoDaDa_FaSisDaSoSoDa_FaSisDaSoSoWi_FaSisSoDaDa_FaSisSoDaDaDa_FaSisSoDaSoDa_FaSisSoDaSoWi_FaSisSoSoDa_FaSisSoSoDaDa_FaSisSoSoSoDa_FaSisSoSoSoWi_HuBroDaDa_HuBroDaDaDa_HuBroDaDaSoWi_HuBroDaSoDa_HuBroDaSoSoWi_HuBroDaSoWi_HuBroSoDa_HuBroSoDaDa_HuBroSoDaSoWi_HuBroSoSoDa_HuBroSoSoSoWi_HuBroSoSoWi_HuFaBroDaDaDa_HuFaBroDaSoDa_HuFaBroSoDaDa_HuFaBroSoSoDa_HuFaSisDaDaDa_HuFaSisDaSoDa_HuFaSisSoDaDa_HuFaSisSoSoDa_HuMoBroDaDaDa_HuMoBroDaSoDa_HuMoBroSoDaDa_HuMoBroSoSoDa_HuMoSisDaDaDa_HuMoSisDaSoDa_HuMoSisSoDaDa_HuMoSisSoSoDa_HuSisDaDa_HuSisDaDaDa_HuSisDaDaSoWi_HuSisDaSoDa_HuSisDaSoSoWi_HuSisDaSoWi_HuSisSoDa_HuSisSoDaDa_HuSisSoDaSoWi_HuSisSoSoDa_HuSisSoSoSoWi_HuSisSoSoWi_MoBroDaDaDa_MoBroDaDaDaDa_MoBroDaDaSoDa_MoBroDaDaSoWi_MoBroDaSoDa_MoBroDaSoDaDa_MoBroDaSoSoDa_MoBroDaSoSoWi_MoBroSoDaDa_MoBroSoDaDaDa_MoBroSoDaSoDa_MoBroSoDaSoWi_MoBroSoSoDa_MoBroSoSoDaDa_MoBroSoSoSoDa_MoBroSoSoSoWi_MoSisDaDaDa_MoSisDaDaDaDa_MoSisDaDaSoDa_MoSisDaDaSoWi_MoSisDaSoDa_MoSisDaSoDaDa_MoSisDaSoSoDa_MoSisDaSoSoWi_MoSisSoDaDa_MoSisSoDaDaDa_MoSisSoDaSoDa_MoSisSoDaSoWi_MoSisSoSoDa_MoSisSoSoDaDa_MoSisSoSoSoDa_MoSisSoSoSoWi_SisDaDa_SisDaDaDa_SisDaDaSoWi_SisDaSoDa_SisDaSoSoWi_SisDaSoWi_SisSoDa_SisSoDaDa_SisSoDaSoWi_SisSoSoDa_SisSoSoSoWi_SisSoSoWi_SoDa_SoDaDa_SoDaDaDa_SoDaDaSoWi_SoDaSoDa_SoDaSoSoWi_SoDaSoWi_SoSoDa_SoSoDaDa_SoSoDaSoWi_SoSoSoDa_SoSoSoSoWi_SoSoSoWi_SoSoWi_WiBroDaDa_WiBroDaDaDa_WiBroDaDaSoWi_WiBroDaSoDa_WiBroDaSoSoWi_WiBroDaSoWi_WiBroSoDa_WiBroSoDaDa_WiBroSoDaSoWi_WiBroSoSoDa_WiBroSoSoSoWi_WiBroSoSoWi_WiFaBroDaDaDa_WiFaBroDaSoDa_WiFaBroSoDaDa_WiFaBroSoSoDa_WiFaSisDaDaDa_WiFaSisDaSoDa_WiFaSisSoDaDa_WiFaSisSoSoDa_WiMoBroDaDaDa_WiMoBroDaSoDa_WiMoBroSoDaDa_WiMoBroSoSoDa_WiMoSisDaDaDa_WiMoSisDaSoDa_WiMoSisSoDaDa_WiMoSisSoSoDa_WiSisDaDa_WiSisDaDaDa_WiSisDaDaSoWi_WiSisDaSoDa_WiSisDaSoSoWi_WiSisDaSoWi_WiSisSoDa_WiSisSoDaDa_WiSisSoDaSoWi_WiSisSoSoDa_WiSisSoSoSoWi_WiSisSoSoWi"}
;; 0
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 mother(A, Alter), parent(Ego, A), male(Ego), female(Alter).
;; 1
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 father(A, Alter), parent(Ego, A), male(Ego), female(Alter).
;; 2
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 3
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 4
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 5
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 6
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 7
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 8
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 9
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 10
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 11
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 12
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 13
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 14
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 15
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 16
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 17
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 18
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 19
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 20
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 21
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 22
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 23
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 24
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 25
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 26
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 27
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 28
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 29
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 30
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 31
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 32
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 33
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 34
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 35
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 36
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 37
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 38
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 39
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 40
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 41
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 42
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 43
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 44
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 45
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 46
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 47
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 48
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 49
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 50
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 51
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 52
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 53
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 54
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 55
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 56
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 57
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 58
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 59
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 60
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 61
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 62
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 63
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 64
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 65
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 66
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 67
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 68
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 69
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 70
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 71
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 72
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 73
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 74
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 75
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 76
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 77
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 78
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 79
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 80
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 81
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 82
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 83
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 84
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 85
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 86
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 87
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 88
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 89
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 90
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 91
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 92
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 93
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 94
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 95
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 96
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 97
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 98
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 99
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 100
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 101
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 102
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 103
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 104
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 105
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 106
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 107
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 108
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 109
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 110
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 111
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 112
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 113
%parajico:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 114
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaSoWi}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 115
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoSoWi}  
 spouse(A, Alter), father(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 116
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 117
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 118
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 119
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 120
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 121
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 122
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 123
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 124
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 125
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 126
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 127
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 128
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 129
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 130
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 131
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 132
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 133
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 134
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 135
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 136
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 137
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 138
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 139
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 140
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 141
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 142
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 143
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 144
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 145
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 146
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 147
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 148
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 149
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 150
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 151
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 152
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 153
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 154
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 155
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 156
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 157
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 158
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 159
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 160
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 161
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 162
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 163
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 164
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 165
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 166
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 167
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 168
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 169
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 170
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 171
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 172
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 173
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 174
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 175
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 176
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 177
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 178
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 179
%parajico:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 180
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 mother(A, Alter), parent(Ego, A), female(Ego), female(Alter).
;; 181
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 father(A, Alter), parent(Ego, A), female(Ego), female(Alter).
;; 182
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 183
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 184
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 185
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 186
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 187
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 188
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 189
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 190
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 191
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 192
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 193
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 194
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 195
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 196
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 197
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 198
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 199
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 200
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 201
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 202
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 203
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 204
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 205
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 206
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 207
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 208
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 209
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 210
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 211
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 212
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 213
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 214
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 215
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 216
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 217
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 218
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 219
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 220
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 221
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 222
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 223
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 224
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 225
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 226
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 227
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 228
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 229
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 230
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 231
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 232
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 233
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 234
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 235
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 236
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 237
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 238
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 239
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 240
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 241
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 242
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 243
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 244
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 245
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 246
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 247
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 248
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 249
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 250
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 251
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 252
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 253
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 254
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 255
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 256
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 257
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 258
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 259
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 260
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 261
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 262
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 263
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 264
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 265
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 266
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 267
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 268
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 269
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 270
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 271
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 272
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 273
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 274
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 275
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 276
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 277
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 278
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 279
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 280
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 281
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 282
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 283
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 284
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 285
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 286
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 287
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 288
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 289
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 290
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 291
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 292
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 293
%parajico:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 294
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaSoWi}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 295
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoSoWi}  
 spouse(A, Alter), father(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 296
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 297
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 298
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 299
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 300
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 301
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 302
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 303
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 304
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 305
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 306
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 307
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 308
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 309
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 310
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 311
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 312
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 313
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 314
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 315
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 316
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 317
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 318
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 319
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 320
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 321
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 322
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 323
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 324
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 325
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 326
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 327
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 328
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 329
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 330
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 331
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 332
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 333
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 334
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 335
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 336
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 337
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 338
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 339
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 340
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 341
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 342
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 343
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 344
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 345
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 346
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 347
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 348
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 349
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 350
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 351
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 352
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 353
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 354
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 355
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 356
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 357
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 358
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 359
%parajico:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).


parajicu(Alter, Ego) :-  grandparent[aux]10(Ego, Alter), male(Ego), male(Alter).
                     |   grandparent[aux]10(Ego, Alter), female(Ego), male(Alter).
{"BroDaDaDaHu_BroDaDaHu_BroDaDaSo_BroDaSo_BroDaSoDaHu_BroDaSoSo_BroSoDaDaHu_BroSoDaHu_BroSoDaSo_BroSoSo_BroSoSoDaHu_BroSoSoSo_DaDaDaDaHu_DaDaDaHu_DaDaDaSo_DaDaHu_DaDaSo_DaDaSoDaHu_DaDaSoSo_DaSo_DaSoDaDaHu_DaSoDaHu_DaSoDaSo_DaSoSo_DaSoSoDaHu_DaSoSoSo_FaBroDaDaDaHu_FaBroDaDaDaSo_FaBroDaDaSo_FaBroDaDaSoSo_FaBroDaSoDaHu_FaBroDaSoDaSo_FaBroDaSoSo_FaBroDaSoSoSo_FaBroSoDaDaHu_FaBroSoDaDaSo_FaBroSoDaSo_FaBroSoDaSoSo_FaBroSoSoDaHu_FaBroSoSoDaSo_FaBroSoSoSo_FaBroSoSoSoSo_FaSisDaDaDaHu_FaSisDaDaDaSo_FaSisDaDaSo_FaSisDaDaSoSo_FaSisDaSoDaHu_FaSisDaSoDaSo_FaSisDaSoSo_FaSisDaSoSoSo_FaSisSoDaDaHu_FaSisSoDaDaSo_FaSisSoDaSo_FaSisSoDaSoSo_FaSisSoSoDaHu_FaSisSoSoDaSo_FaSisSoSoSo_FaSisSoSoSoSo_HuBroDaDaDaHu_HuBroDaDaHu_HuBroDaDaSo_HuBroDaSo_HuBroDaSoDaHu_HuBroDaSoSo_HuBroSoDaDaHu_HuBroSoDaHu_HuBroSoDaSo_HuBroSoSo_HuBroSoSoDaHu_HuBroSoSoSo_HuFaBroDaDaSo_HuFaBroDaSoSo_HuFaBroSoDaSo_HuFaBroSoSoSo_HuFaSisDaDaSo_HuFaSisDaSoSo_HuFaSisSoDaSo_HuFaSisSoSoSo_HuMoBroDaDaSo_HuMoBroDaSoSo_HuMoBroSoDaSo_HuMoBroSoSoSo_HuMoSisDaDaSo_HuMoSisDaSoSo_HuMoSisSoDaSo_HuMoSisSoSoSo_HuSisDaDaDaHu_HuSisDaDaHu_HuSisDaDaSo_HuSisDaSo_HuSisDaSoDaHu_HuSisDaSoSo_HuSisSoDaDaHu_HuSisSoDaHu_HuSisSoDaSo_HuSisSoSo_HuSisSoSoDaHu_HuSisSoSoSo_MoBroDaDaDaHu_MoBroDaDaDaSo_MoBroDaDaSo_MoBroDaDaSoSo_MoBroDaSoDaHu_MoBroDaSoDaSo_MoBroDaSoSo_MoBroDaSoSoSo_MoBroSoDaDaHu_MoBroSoDaDaSo_MoBroSoDaSo_MoBroSoDaSoSo_MoBroSoSoDaHu_MoBroSoSoDaSo_MoBroSoSoSo_MoBroSoSoSoSo_MoSisDaDaDaHu_MoSisDaDaDaSo_MoSisDaDaSo_MoSisDaDaSoSo_MoSisDaSoDaHu_MoSisDaSoDaSo_MoSisDaSoSo_MoSisDaSoSoSo_MoSisSoDaDaHu_MoSisSoDaDaSo_MoSisSoDaSo_MoSisSoDaSoSo_MoSisSoSoDaHu_MoSisSoSoDaSo_MoSisSoSoSo_MoSisSoSoSoSo_SisDaDaDaHu_SisDaDaHu_SisDaDaSo_SisDaSo_SisDaSoDaHu_SisDaSoSo_SisSoDaDaHu_SisSoDaHu_SisSoDaSo_SisSoSo_SisSoSoDaHu_SisSoSoSo_SoDaDaDaHu_SoDaDaHu_SoDaDaSo_SoDaHu_SoDaSo_SoDaSoDaHu_SoDaSoSo_SoSo_SoSoDaDaHu_SoSoDaHu_SoSoDaSo_SoSoSo_SoSoSoDaHu_SoSoSoSo_WiBroDaDaDaHu_WiBroDaDaHu_WiBroDaDaSo_WiBroDaSo_WiBroDaSoDaHu_WiBroDaSoSo_WiBroSoDaDaHu_WiBroSoDaHu_WiBroSoDaSo_WiBroSoSo_WiBroSoSoDaHu_WiBroSoSoSo_WiFaBroDaDaSo_WiFaBroDaSoSo_WiFaBroSoDaSo_WiFaBroSoSoSo_WiFaSisDaDaSo_WiFaSisDaSoSo_WiFaSisSoDaSo_WiFaSisSoSoSo_WiMoBroDaDaSo_WiMoBroDaSoSo_WiMoBroSoDaSo_WiMoBroSoSoSo_WiMoSisDaDaSo_WiMoSisDaSoSo_WiMoSisSoDaSo_WiMoSisSoSoSo_WiSisDaDaDaHu_WiSisDaDaHu_WiSisDaDaSo_WiSisDaSo_WiSisDaSoDaHu_WiSisDaSoSo_WiSisSoDaDaHu_WiSisSoDaHu_WiSisSoDaSo_WiSisSoSo_WiSisSoSoDaHu_WiSisSoSoSo"}
;; 0
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 mother(A, Alter), parent(Ego, A), male(Ego), male(Alter).
;; 1
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 father(A, Alter), parent(Ego, A), male(Ego), male(Alter).
;; 2
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 3
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 4
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 5
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 6
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 7
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 8
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 9
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 10
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 11
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 12
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 13
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 14
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 15
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 16
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 17
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 18
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 19
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 20
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 21
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 22
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 23
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 24
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 25
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 26
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 27
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 28
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 29
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 30
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 31
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 32
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 33
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 34
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 35
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 36
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 37
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 38
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 39
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 40
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 41
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 42
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 43
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 44
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 45
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 46
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 47
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 48
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 49
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 50
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 51
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 52
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 53
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 54
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 55
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 56
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 57
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 58
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 59
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 60
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 61
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 62
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 63
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 64
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 65
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 66
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 67
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 68
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 69
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 70
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 71
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 72
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 73
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 74
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 75
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 76
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 77
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 78
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 79
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 80
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 81
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 82
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 83
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 84
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 85
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 86
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 87
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 88
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 89
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 90
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 91
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 92
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 93
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 94
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 95
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 96
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 97
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 98
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 99
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 100
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 101
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 102
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 103
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 104
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 105
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 106
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 107
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 108
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 109
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 110
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 111
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 112
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 113
%parajicu:0, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 114
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaDaHu}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 115
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoDaHu}  
 spouse(A, Alter), father(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 116
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 117
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 118
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 119
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 120
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 121
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 122
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 123
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 124
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 125
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 126
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 127
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 128
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 129
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 130
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 131
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 132
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 133
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 134
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 135
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 136
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 137
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 138
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 139
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 140
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 141
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 142
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 143
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 144
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 145
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 146
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 147
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 148
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 149
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 150
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 151
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 152
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 153
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 154
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 155
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 156
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 157
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 158
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 159
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 160
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 161
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 162
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 163
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 164
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 165
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 166
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 167
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 168
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 169
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 170
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 171
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 172
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 173
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 174
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 175
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 176
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 177
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 178
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 179
%parajicu:0, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 180
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 mother(A, Alter), parent(Ego, A), female(Ego), male(Alter).
;; 181
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 father(A, Alter), parent(Ego, A), female(Ego), male(Alter).
;; 182
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 183
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 184
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 185
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 186
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 187
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 188
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 189
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 190
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 191
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 192
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 193
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 194
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 195
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 196
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 197
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 198
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 199
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 200
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 201
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 202
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 203
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 204
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 205
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 206
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 207
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 208
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 209
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 210
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 211
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 212
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 213
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 214
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 215
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 216
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 217
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 218
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 219
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 220
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 221
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 222
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 223
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 224
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 225
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 226
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 227
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 228
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 229
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 230
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 231
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 232
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 233
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 234
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 235
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 236
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 237
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 238
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 239
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 240
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 241
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 242
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 243
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 244
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 245
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 246
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 247
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 248
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 249
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 250
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 251
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 252
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 253
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 254
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 255
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 256
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 257
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 258
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 259
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 260
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 261
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 262
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 263
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 264
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 265
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 266
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 267
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 268
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 269
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 270
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 271
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 272
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 273
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 274
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 275
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 276
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 277
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 278
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 279
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 280
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 281
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 282
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 283
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 284
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 285
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 286
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 287
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 288
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 289
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 290
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 291
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 292
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 293
%parajicu:1, grandparent[aux]10:0, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 294
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaDaHu}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 295
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoDaHu}  
 spouse(A, Alter), father(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 296
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 297
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 298
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 299
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 300
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 301
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 302
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 303
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 304
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 305
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 306
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 307
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 308
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 309
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 310
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 311
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 312
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 313
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 314
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 315
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 316
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 317
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 318
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 319
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 320
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 321
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 322
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 323
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 324
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 325
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 326
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 327
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 328
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 329
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 330
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 331
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 332
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 333
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 334
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 335
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:1, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 336
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 337
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 338
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 339
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 340
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 341
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 342
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 343
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 344
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 345
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 346
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 347
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:0, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 348
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 349
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 350
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 351
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 352
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 353
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:0, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 354
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 355
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 356
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 357
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 358
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 359
%parajicu:1, grandparent[aux]10:1, grandparent[aux]10direct:2, parents:1, parents:1, square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).


parallel_gen[aux]10(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Alter), gender(A, Ego).
                                |  [ext],  parents(A, Ego), parallel_gen[aux]10(B, A), child(Alter, B), gender(C, Alter), gender(C, Ego).
                                |  [ext],  step_child[aux]10(Ego, A), child(Alter, A), gender(B, Alter), gender(B, Ego).
                                |  [ext],  step_child[aux]10(Ego, A), parallel_gen[aux]10(B, A), child(Alter, B), gender(C, Alter), gender(C, Ego).
;; 0
%parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego).
;; 1
%parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 2
%parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 3
%parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 4
%parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 5
%parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 6
%parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 7
%parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 8
%parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 9
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 10
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 11
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 12
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 13
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 14
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 15
%parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego).
;; 16
%parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 17
%parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 18
%parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 19
%parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 20
%parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 21
%parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 22
%parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 23
%parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 24
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 25
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 26
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 27
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 28
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 29
%parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).


parents(Alter, Ego) :-  mother(Alter, Ego).
                    |   father(Alter, Ego).
;; 0
%parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 1
%parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


pari_mo(Alter, Ego) :-  spice(A, Ego), mother(Alter, A).
                    |  [ext],  spice(A, Ego), step_mother(Alter, A).
                    |  [ext],  spice(A, Ego), parents(B, A), generation[aux]10(Alter, B), female(Alter).
                    |  [ext],  spice(A, Ego), step_father(B, A), generation[aux]10(Alter, B), female(Alter).
{"HuFaFaBroDa_HuFaFaSisDa_HuFaMoBroDa_HuFaMoSisDa_HuFaSis_HuMo_HuMoFaBroDa_HuMoFaSisDa_HuMoMoBroDa_HuMoMoSisDa_HuMoSis_HuStfaFaBroDa_HuStfaFaFaBroDaDa_HuStfaFaFaBroSoDa_HuStfaFaFaSisDaDa_HuStfaFaFaSisSoDa_HuStfaFaMoBroDaDa_HuStfaFaMoBroSoDa_HuStfaFaMoSisDaDa_HuStfaFaMoSisSoDa_HuStfaFaSisDa_HuStfaMoBroDa_HuStfaMoFaBroDaDa_HuStfaMoFaBroSoDa_HuStfaMoFaSisDaDa_HuStfaMoFaSisSoDa_HuStfaMoMoBroDaDa_HuStfaMoMoBroSoDa_HuStfaMoMoSisDaDa_HuStfaMoMoSisSoDa_HuStfaMoSisDa_HuStfaSis_HuStmo_WiFaFaBroDa_WiFaFaSisDa_WiFaMoBroDa_WiFaMoSisDa_WiFaSis_WiMo_WiMoFaBroDa_WiMoFaSisDa_WiMoMoBroDa_WiMoMoSisDa_WiMoSis_WiStfaFaBroDa_WiStfaFaFaBroDaDa_WiStfaFaFaBroSoDa_WiStfaFaFaSisDaDa_WiStfaFaFaSisSoDa_WiStfaFaMoBroDaDa_WiStfaFaMoBroSoDa_WiStfaFaMoSisDaDa_WiStfaFaMoSisSoDa_WiStfaFaSisDa_WiStfaMoBroDa_WiStfaMoFaBroDaDa_WiStfaMoFaBroSoDa_WiStfaMoFaSisDaDa_WiStfaMoFaSisSoDa_WiStfaMoMoBroDaDa_WiStfaMoMoBroSoDa_WiStfaMoMoSisDaDa_WiStfaMoMoSisSoDa_WiStfaMoSisDa_WiStfaSis_WiStmo"}
;; 0
%pari_mo:0, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 1
%pari_mo:0, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).
;; 2
%pari_mo:1, spice:0, step_mother:0%
 Lvl=1,  PC=2, S=2, Star=0,  {HuStmo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), wife(Alter, B), not(equal(Alter, C)).
;; 3
%pari_mo:1, spice:1, step_mother:0%
 Lvl=1,  PC=2, S=2, Star=0,  {WiStmo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), wife(Alter, B), not(equal(Alter, C)).
;; 4
%pari_mo:2, spice:0, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 5
%pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 6
%pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 7
%pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 8
%pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 9
%pari_mo:2, spice:0, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 10
%pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 11
%pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 12
%pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 13
%pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 14
%pari_mo:2, spice:1, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 15
%pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 16
%pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 17
%pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 18
%pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 19
%pari_mo:2, spice:1, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 20
%pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 21
%pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 22
%pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 23
%pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 24
%pari_mo:3, spice:0, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStfaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 25
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 26
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 27
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 28
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 29
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 30
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 31
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 32
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 33
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 34
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 35
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 36
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 37
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 38
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 39
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 40
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 41
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 42
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 43
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 44
%pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 45
%pari_mo:3, spice:1, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStfaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 46
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 47
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 48
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 49
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 50
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 51
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 52
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 53
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 54
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 55
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 56
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 57
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 58
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 59
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 60
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 61
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 62
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 63
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 64
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 65
%pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).


pari_yo(Alter, Ego) :-  spice(A, Ego), father(Alter, A).
                    |  [ext],  spice(A, Ego), step_father(Alter, A).
                    |  [ext],  spice(A, Ego), parents(B, A), generation[aux]10(Alter, B), male(Alter).
                    |  [ext],  spice(A, Ego), step_father(B, A), generation[aux]10(Alter, B), male(Alter).
{"HuFa_HuFaBro_HuFaFaBroSo_HuFaFaSisSo_HuFaMoBroSo_HuFaMoSisSo_HuMoBro_HuMoFaBroSo_HuMoFaSisSo_HuMoMoBroSo_HuMoMoSisSo_HuStfa_HuStfaBro_HuStfaFaBroSo_HuStfaFaFaBroDaSo_HuStfaFaFaBroSoSo_HuStfaFaFaSisDaSo_HuStfaFaFaSisSoSo_HuStfaFaMoBroDaSo_HuStfaFaMoBroSoSo_HuStfaFaMoSisDaSo_HuStfaFaMoSisSoSo_HuStfaFaSisSo_HuStfaMoBroSo_HuStfaMoFaBroDaSo_HuStfaMoFaBroSoSo_HuStfaMoFaSisDaSo_HuStfaMoFaSisSoSo_HuStfaMoMoBroDaSo_HuStfaMoMoBroSoSo_HuStfaMoMoSisDaSo_HuStfaMoMoSisSoSo_HuStfaMoSisSo_WiFa_WiFaBro_WiFaFaBroSo_WiFaFaSisSo_WiFaMoBroSo_WiFaMoSisSo_WiMoBro_WiMoFaBroSo_WiMoFaSisSo_WiMoMoBroSo_WiMoMoSisSo_WiStfa_WiStfaBro_WiStfaFaBroSo_WiStfaFaFaBroDaSo_WiStfaFaFaBroSoSo_WiStfaFaFaSisDaSo_WiStfaFaFaSisSoSo_WiStfaFaMoBroDaSo_WiStfaFaMoBroSoSo_WiStfaFaMoSisDaSo_WiStfaFaMoSisSoSo_WiStfaFaSisSo_WiStfaMoBroSo_WiStfaMoFaBroDaSo_WiStfaMoFaBroSoSo_WiStfaMoFaSisDaSo_WiStfaMoFaSisSoSo_WiStfaMoMoBroDaSo_WiStfaMoMoBroSoSo_WiStfaMoMoSisDaSo_WiStfaMoMoSisSoSo_WiStfaMoSisSo"}
;; 0
%pari_yo:0, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 1
%pari_yo:0, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).
;; 2
%pari_yo:1, spice:0, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {HuStfa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).
;; 3
%pari_yo:1, spice:1, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {WiStfa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).
;; 4
%pari_yo:2, spice:0, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 5
%pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 6
%pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 7
%pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 8
%pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 9
%pari_yo:2, spice:0, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 10
%pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 11
%pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 12
%pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 13
%pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 14
%pari_yo:2, spice:1, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 15
%pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 16
%pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 17
%pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 18
%pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 19
%pari_yo:2, spice:1, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 20
%pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 21
%pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 22
%pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 23
%pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 24
%pari_yo:3, spice:0, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStfaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 25
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 26
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 27
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 28
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 29
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 30
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 31
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 32
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 33
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 34
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 35
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 36
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 37
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 38
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 39
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 40
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 41
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 42
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 43
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 44
%pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 45
%pari_yo:3, spice:1, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStfaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 46
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 47
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 48
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 49
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 50
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 51
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 52
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 53
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 54
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 55
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 56
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 57
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 58
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 59
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 60
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 61
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 62
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 63
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 64
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 65
%pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).


parimo(Alter, Ego) :-  father(A, Ego), cross_gen[aux]10(Alter, A), female(Alter).
                   |   father(A, Ego), parallel_gen[aux]10(B, A), wife(Alter, B).
                   |   pari_mo(Alter, Ego).
{"FaBroWi_FaFaBroSoWi_FaFaFaFaHbroSoDaDa_FaFaFaHbroDaDa_FaFaFaMoHsisSoDaDa_FaFaHbroSoWi_FaFaMoFaHbroDaDaDa_FaFaMoHsisDaDa_FaFaMoMoHsisDaDaDa_FaFaSisDa_FaHbroWi_FaMoBroDa_FaMoFaFaHbroSoSoDa_FaMoFaHbroSoDa_FaMoFaMoHsisSoSoDa_FaMoHsisSoWi_FaMoMoFaHbroDaSoDa_FaMoMoHsisSoDa_FaMoMoMoHsisDaSoDa_FaMoSisSoWi_FaSis_FaStfaBroSoWi_FaStmoSisSoWi_HuFaFaBroDa_HuFaFaSisDa_HuFaMoBroDa_HuFaMoSisDa_HuFaSis_HuMo_HuMoFaBroDa_HuMoFaSisDa_HuMoMoBroDa_HuMoMoSisDa_HuMoSis_HuStfaFaBroDa_HuStfaFaFaBroDaDa_HuStfaFaFaBroSoDa_HuStfaFaFaSisDaDa_HuStfaFaFaSisSoDa_HuStfaFaMoBroDaDa_HuStfaFaMoBroSoDa_HuStfaFaMoSisDaDa_HuStfaFaMoSisSoDa_HuStfaFaSisDa_HuStfaMoBroDa_HuStfaMoFaBroDaDa_HuStfaMoFaBroSoDa_HuStfaMoFaSisDaDa_HuStfaMoFaSisSoDa_HuStfaMoMoBroDaDa_HuStfaMoMoBroSoDa_HuStfaMoMoSisDaDa_HuStfaMoMoSisSoDa_HuStfaMoSisDa_HuStfaSis_HuStmo_WiFaFaBroDa_WiFaFaSisDa_WiFaMoBroDa_WiFaMoSisDa_WiFaSis_WiMo_WiMoFaBroDa_WiMoFaSisDa_WiMoMoBroDa_WiMoMoSisDa_WiMoSis_WiStfaFaBroDa_WiStfaFaFaBroDaDa_WiStfaFaFaBroSoDa_WiStfaFaFaSisDaDa_WiStfaFaFaSisSoDa_WiStfaFaMoBroDaDa_WiStfaFaMoBroSoDa_WiStfaFaMoSisDaDa_WiStfaFaMoSisSoDa_WiStfaFaSisDa_WiStfaMoBroDa_WiStfaMoFaBroDaDa_WiStfaMoFaBroSoDa_WiStfaMoFaSisDaDa_WiStfaMoFaSisSoDa_WiStfaMoMoBroDaDa_WiStfaMoMoBroSoDa_WiStfaMoMoSisDaDa_WiStfaMoMoSisSoDa_WiStfaMoSisDa_WiStfaSis_WiStmo"}
;; 0
%parimo:0, cross_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, A), gender(E, Alter), not(equal(D, E)), female(Alter).
;; 1
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), female(Alter).
;; 2
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), female(Alter).
;; 3
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 4
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 5
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 6
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 7
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoMoHsisSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 8
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoMoHsisSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 9
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 10
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 11
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 12
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 13
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoFaHbroSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 14
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoFaHbroSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 15
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 16
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 17
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 18
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 19
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 20
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 21
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 22
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 23
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 24
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 25
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 26
%parimo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 27
%parimo:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), wife(Alter, D).
;; 28
%parimo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 29
%parimo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 30
%parimo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 31
%parimo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 32
%parimo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 33
%parimo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 34
%parimo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 35
%parimo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 36
%parimo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaStmoSisSoWi}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).
;; 37
%parimo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaStfaBroSoWi}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).
;; 38
%parimo:2, pari_mo:0, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 39
%parimo:2, pari_mo:0, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).
;; 40
%parimo:2, pari_mo:1, spice:0, step_mother:0%
 Lvl=1,  PC=2, S=2, Star=0,  {HuStmo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), wife(Alter, B), not(equal(Alter, C)).
;; 41
%parimo:2, pari_mo:1, spice:1, step_mother:0%
 Lvl=1,  PC=2, S=2, Star=0,  {WiStmo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), wife(Alter, B), not(equal(Alter, C)).
;; 42
%parimo:2, pari_mo:2, spice:0, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 43
%parimo:2, pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 44
%parimo:2, pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 45
%parimo:2, pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 46
%parimo:2, pari_mo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 47
%parimo:2, pari_mo:2, spice:0, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 48
%parimo:2, pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 49
%parimo:2, pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 50
%parimo:2, pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 51
%parimo:2, pari_mo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 52
%parimo:2, pari_mo:2, spice:1, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 53
%parimo:2, pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 54
%parimo:2, pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 55
%parimo:2, pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 56
%parimo:2, pari_mo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 57
%parimo:2, pari_mo:2, spice:1, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 58
%parimo:2, pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 59
%parimo:2, pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 60
%parimo:2, pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 61
%parimo:2, pari_mo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 62
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStfaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 63
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 64
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 65
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 66
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 67
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 68
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 69
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 70
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 71
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 72
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 73
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 74
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 75
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 76
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 77
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 78
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 79
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 80
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 81
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 82
%parimo:2, pari_mo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 83
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStfaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 84
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 85
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 86
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 87
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 88
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 89
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 90
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 91
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 92
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 93
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 94
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 95
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 96
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 97
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 98
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 99
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).
;; 100
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), female(Alter).
;; 101
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), female(Alter).
;; 102
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), female(Alter).
;; 103
%parimo:2, pari_mo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), female(Alter).


pariyo(Alter, Ego) :-  mother(A, Ego), cross_gen[aux]10(Alter, A), male(Alter).
                   |   mother(A, Ego), parallel_gen[aux]10(B, A), husband(Alter, B).
                   |   pari_yo(Alter, Ego).
{"HuFa_HuFaBro_HuFaFaBroSo_HuFaFaSisSo_HuFaMoBroSo_HuFaMoSisSo_HuMoBro_HuMoFaBroSo_HuMoFaSisSo_HuMoMoBroSo_HuMoMoSisSo_HuStfa_HuStfaBro_HuStfaFaBroSo_HuStfaFaFaBroDaSo_HuStfaFaFaBroSoSo_HuStfaFaFaSisDaSo_HuStfaFaFaSisSoSo_HuStfaFaMoBroDaSo_HuStfaFaMoBroSoSo_HuStfaFaMoSisDaSo_HuStfaFaMoSisSoSo_HuStfaFaSisSo_HuStfaMoBroSo_HuStfaMoFaBroDaSo_HuStfaMoFaBroSoSo_HuStfaMoFaSisDaSo_HuStfaMoFaSisSoSo_HuStfaMoMoBroDaSo_HuStfaMoMoBroSoSo_HuStfaMoMoSisDaSo_HuStfaMoMoSisSoSo_HuStfaMoSisSo_MoBro_MoFaBroDaHu_MoFaFaFaHbroSoDaSo_MoFaFaHbroDaSo_MoFaFaMoHsisSoDaSo_MoFaHbroDaHu_MoFaMoFaHbroDaDaSo_MoFaMoHsisDaSo_MoFaMoMoHsisDaDaSo_MoFaSisSo_MoHsisHu_MoMoBroSo_MoMoFaFaHbroSoSoSo_MoMoFaHbroSoSo_MoMoFaMoHsisSoSoSo_MoMoHsisDaHu_MoMoMoFaHbroDaSoSo_MoMoMoHsisSoSo_MoMoMoMoHsisDaSoSo_MoMoSisDaHu_MoSisHu_MoStfaBroDaHu_MoStmoSisDaHu_WiFa_WiFaBro_WiFaFaBroSo_WiFaFaSisSo_WiFaMoBroSo_WiFaMoSisSo_WiMoBro_WiMoFaBroSo_WiMoFaSisSo_WiMoMoBroSo_WiMoMoSisSo_WiStfa_WiStfaBro_WiStfaFaBroSo_WiStfaFaFaBroDaSo_WiStfaFaFaBroSoSo_WiStfaFaFaSisDaSo_WiStfaFaFaSisSoSo_WiStfaFaMoBroDaSo_WiStfaFaMoBroSoSo_WiStfaFaMoSisDaSo_WiStfaFaMoSisSoSo_WiStfaFaSisSo_WiStfaMoBroSo_WiStfaMoFaBroDaSo_WiStfaMoFaBroSoSo_WiStfaMoFaSisDaSo_WiStfaMoFaSisSoSo_WiStfaMoMoBroDaSo_WiStfaMoMoBroSoSo_WiStfaMoMoSisDaSo_WiStfaMoMoSisSoSo_WiStfaMoSisSo"}
;; 0
%pariyo:0, cross_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, A), gender(E, Alter), not(equal(D, E)), male(Alter).
;; 1
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:0, parents:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), male(Alter).
;; 2
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:0, parents:1, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), male(Alter).
;; 3
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 4
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 5
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 6
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 7
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoMoHsisSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 8
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoMoHsisSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 9
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 10
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 11
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 12
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 13
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoFaHbroSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 14
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:0, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoFaHbroSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 15
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 16
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 17
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 18
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 19
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaMoHsisDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 20
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaMoHsisDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 21
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 22
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 23
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 24
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 25
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaFaHbroDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 26
%pariyo:0, cross_gen[aux]10:1, cross_gen[aux]102:2, parents:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaFaHbroDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 27
%pariyo:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), husband(Alter, D).
;; 28
%pariyo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 29
%pariyo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 30
%pariyo:1, parallel_gen[aux]10:1, parents:0, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 31
%pariyo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 32
%pariyo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 33
%pariyo:1, parallel_gen[aux]10:1, parents:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 34
%pariyo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 35
%pariyo:1, parallel_gen[aux]10:2, step_child[aux]10:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 36
%pariyo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:0, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoStmoSisDaHu}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 37
%pariyo:1, parallel_gen[aux]10:3, step_child[aux]10:0, spice:1, parallel_gen[aux]10:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoStfaBroDaHu}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 38
%pariyo:2, pari_yo:0, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 39
%pariyo:2, pari_yo:0, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).
;; 40
%pariyo:2, pari_yo:1, spice:0, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {HuStfa}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).
;; 41
%pariyo:2, pari_yo:1, spice:1, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {WiStfa}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).
;; 42
%pariyo:2, pari_yo:2, spice:0, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 43
%pariyo:2, pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 44
%pariyo:2, pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 45
%pariyo:2, pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 46
%pariyo:2, pari_yo:2, spice:0, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 47
%pariyo:2, pari_yo:2, spice:0, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 48
%pariyo:2, pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 49
%pariyo:2, pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 50
%pariyo:2, pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 51
%pariyo:2, pari_yo:2, spice:0, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 52
%pariyo:2, pari_yo:2, spice:1, parents:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 53
%pariyo:2, pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 54
%pariyo:2, pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 55
%pariyo:2, pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 56
%pariyo:2, pari_yo:2, spice:1, parents:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 57
%pariyo:2, pari_yo:2, spice:1, parents:1, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 58
%pariyo:2, pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 59
%pariyo:2, pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 60
%pariyo:2, pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 61
%pariyo:2, pari_yo:2, spice:1, parents:1, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 62
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStfaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 63
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 64
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 65
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 66
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 67
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 68
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoMoSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 69
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 70
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 71
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 72
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaMoFaSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 73
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 74
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 75
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 76
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 77
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 78
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaMoSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 79
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 80
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaBroDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 81
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 82
%pariyo:2, pari_yo:3, spice:0, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {HuStfaFaFaSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 83
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStfaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 84
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 85
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 86
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 87
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 88
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 89
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoMoSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 90
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 91
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 92
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 93
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaMoFaSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 94
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 95
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 96
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 97
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 98
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 99
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaMoSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).
;; 100
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), son(J, I), child(Alter, J), male(Alter).
;; 101
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), daughter(J, I), child(Alter, J), male(Alter).
;; 102
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisSoSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), son(J, I), child(Alter, J), male(Alter).
;; 103
%pariyo:2, pari_yo:3, spice:1, step_father:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=10, S=2, Star=0,  {WiStfaFaFaSisDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), father(F, E), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), female(I), daughter(J, I), child(Alter, J), male(Alter).


sibling(Alter, Ego) :-  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 0
%sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).


siblings(Alter, Ego) :-  brother(Alter, Ego).
                     |   sister(Alter, Ego).
;; 0
%siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sister(Alter, Ego) :-  sibling(Alter, Ego), female(Alter).
;; 0
%sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


spice(Alter, Ego) :-  husband(Alter, Ego).
                  |   wife(Alter, Ego).
;; 0
%spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(Alter, Ego).
;; 1
%spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(Alter, Ego).


square[aux]10up(Alter, Ego) :-  generation[aux]10(Alter, Ego).
                            |   parent(Alter, Ego).
                            |   parents(A, Ego), square[aux]10up(Alter, A).
;; 0
%square[aux]10up:0, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 8
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 9
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 10
%square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 11
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 12
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 13
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 14
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 15
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 16
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 17
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 18
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 19
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 20
%square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 21
%square[aux]10up:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 22
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 23
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 24
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 25
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 26
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 27
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 28
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 29
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 30
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 31
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 32
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 33
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 34
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 35
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 36
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 37
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 38
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 39
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 40
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 41
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 42
%square[aux]10up:2, parents:0, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 43
%square[aux]10up:2, parents:0, square[aux]10up:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 44
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 45
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 46
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 47
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 48
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 49
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 50
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 51
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 52
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 53
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 54
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:0, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 55
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 56
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 57
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 58
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 59
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 60
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:0, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 61
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 62
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 63
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 64
%square[aux]10up:2, parents:1, square[aux]10up:0, generation[aux]10:1, parents:1, generation[aux]10gs:1, parents:1, generation[aux]10gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 65
%square[aux]10up:2, parents:1, square[aux]10up:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).


square[aux]10up_small(Alter, Ego) :-  generation[aux]10small(Alter, Ego).
                                  |   parent(Alter, Ego).
                                  |   parents(A, Ego), square[aux]10up_small(Alter, A).
;; 0
%square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 5
%square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 6
%square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 7
%square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 8
%square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 9
%square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 10
%square[aux]10up_small:2, parents:0, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 11
%square[aux]10up_small:2, parents:0, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 12
%square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 13
%square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 14
%square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 15
%square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 16
%square[aux]10up_small:2, parents:1, square[aux]10up_small:0, generation[aux]10small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 17
%square[aux]10up_small:2, parents:1, square[aux]10up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).


step_brother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
                         |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 0
%step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 1
%step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


step_child[aux]10(Alter, Ego) :-  spice(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).
;; 0
%step_child[aux]10:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).
;; 1
%step_child[aux]10:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).


step_daughter(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).
;; 0
%step_daughter:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


step_father(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 0
%step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


step_mother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 0
%step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


step_sister(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
                        |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 0
%step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 1
%step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).


step_son(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 0
%step_son:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


yure_buwado(Alter, Ego) :-  step_mother(Alter, Ego).
{"Stmo"}
;; 0
%yure_buwado:0, step_mother:0%
 Lvl=1,  PC=2, S=1, Star=0,  {Stmo}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


yure_buwayu(Alter, Ego) :-  step_father(Alter, Ego).
{"Stfa"}
;; 0
%yure_buwayu:0, step_father:0%
 Lvl=1,  PC=2, S=1, Star=0,  {Stfa}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).

